package com.gic.enterprise.constant;
/**
 * 支付方式类型
 * @ClassName: PayTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 3:24 PM 
 */
public enum PayTypeEnum {
    WE_CHAT_PAY(1, "微信支付"),
    ALI_PAY(2, "支付宝支付"),
    OFFLINE_PAY(3, "银行对公转账"),
    BALANCE_PAY(4, "余额支付");

    private int code;
    private String message;

    private PayTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (PayTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
