package com.gic.enterprise.constant;

/**
 * @author zhiwj
 * @Description: 短信消费应用场景
 * @date 2020-03-30 13:42
 */
public enum SmsAppEnum {

    MEMBER_OPEN_CARD("MEMBER_OPEN_CARD", "会员开卡", false),
    GIC_MALL("GIC_MALL", "微商城", true),
    GIC_INTEGRAL("GIC_INTEGRAL", "积分商城", true),
    SMS("sms", "短信营销", true),
    ECM("ecm", "触点营销", true),
    ECM_TIMER("ecm-timer", "定时营销", true),
    GAME_DZP("dzp", "大转盘", true),
    GAME_GGK("ggk", "刮刮卡", true),
    GAME_KLFL("klfl", "口令福利", true),
    GAME_PTYX("ptyx", "拼图游戏", true),
    OTHER("other", "其他", false),
    ;

    private String code;
    private String name;
    // 需要权限控制
    private boolean isCtrl;

    SmsAppEnum(String code, String name, boolean isCtrl) {
        this.code = code;
        this.name = name;
        this.isCtrl = isCtrl;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public boolean isCtrl() {
        return isCtrl;
    }

    public static String getNameByCode(String code) {
        if (code != null) {
            for (SmsAppEnum smsApp : values()) {
                if (smsApp.code.equals(code)) {
                    return smsApp.name;
                }
            }
        }
        return null;
    }
}
