package com.gic.enterprise.constant;

/**
 * 微盟商城店铺配置类型
 * @ClassName: WmStoreConfigTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 2:42 PM 
 */
public enum WmStoreConfigTypeEnum {
    MEMBER_CARD_CONFIG(1, "会员卡配置", true),
    COUPON_CONFIG(2, "卡券配置", true),
    ORDER_CONFIG(3, "订单配置", true),
    GOODS_CONFIG(4, "商品配置", true),
    INTEGRAL_CONFIG(5, "积分配置", false),
    STORE_CLERK_CONFIG(6, "门店导购同步", false);

    private int code;
    private String message;
    /**
     * 是否是需要保存在tab_wm_store_config的数据
     * 其他数据需要额外表
     */
    private boolean hasConfigData;

    /**
     * 是否是枚举内的code值
     * @param code
     * @return
     */
    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (WmStoreConfigTypeEnum typeEnum : values()) {
            if (typeEnum.hasConfigData && code.intValue() == typeEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public static String getMessageByCode(Integer code) {
        if (isRightCode(code)) {
            for (WmStoreConfigTypeEnum typeEnum : values()) {
                if (code.intValue() == typeEnum.getCode()) {
                    return typeEnum.getMessage();
                }
            }
        }
        return "--";
    }

    private WmStoreConfigTypeEnum(int code, String message, boolean hasConfigData) {
        this.code = code;
        this.message = message;
        this.hasConfigData = hasConfigData;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isHasConfigData() {
        return hasConfigData;
    }

    public WmStoreConfigTypeEnum setHasConfigData(boolean hasConfigData) {
        this.hasConfigData = hasConfigData;
        return this;
    }
}
