package com.gic.enterprise.constant.applet;
/**
 * 小程序API管理状态值
 * @ClassName: AppletAppStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/3 9:56 AM 
 */
public enum AppletAppStatusEnum {
    DELETE(0, "删除"),
    BIND(1, "绑定"),
    UNBIND(2, "解绑");

    private int code;
    private String message;

    private AppletAppStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (AppletAppStatusEnum appStatusEnum : values()) {
            if (code.intValue() == appStatusEnum.getCode()) {
                return appStatusEnum.getMessage();
            }
        }
        return "--";
    }

    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (AppletAppStatusEnum appStatusEnum : values()) {
            if (code.intValue() == appStatusEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
