package com.gic.enterprise.constant.applet;

public enum AppletPageOrderByEnum {
    CREATE_TIME_ASC(1, " order by create_time "),
    CREATE_TIME_DESC(2, " order by create_time desc "),
    UPDATE_TIME_ASC(3, " order by update_time "),
    UPDATE_TIME_DESC(4, " order by update_time desc ");

    private int code;
    private String orderBySQL;

    private AppletPageOrderByEnum(int code, String orderBySQL) {
        this.code = code;
        this.orderBySQL = orderBySQL;
    }

    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (AppletPageOrderByEnum orderByEnum : values()) {
            if (code.intValue() == orderByEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public static String getOrderBySqlByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (AppletPageOrderByEnum orderByEnum : values()) {
            if (code.intValue() == orderByEnum.getCode()) {
                return orderByEnum.getOrderBySQL();
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getOrderBySQL() {
        return orderBySQL;
    }

    public void setOrderBySQL(String orderBySQL) {
        this.orderBySQL = orderBySQL;
    }
}
