package com.gic.enterprise.constant.billing;

public enum FeeTypeEnum {
    TOTAL(1, "消费总金额"),
    ACCOUNT_BALANCE(7, "服务市场购买明细"),
//    ACCOUNT_BALANCE(7, "服务市场和供销平台购买明细"),
    SMS_PACKAGE(4, "短信套餐包明细(余额支付)"),
    SMS(3, "国内短信消费明细"),
    INTERNATIONAL_SMS(8, "海外短信消费明细"),
//    VOICE_CODE(2, "语音验证码消费明细"),
//    DOUBLE_CALLING(6, "双向呼叫消费明细"),
//    RECORDING_STORAGE(5, "录音存储消费明细"),
    ;

    private int code;
    private String message;

    private FeeTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (FeeTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public static FeeTypeEnum getEnumByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (FeeTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
