package com.gic.enterprise.constant.billing;

/**
 * 已开票单据状态
 * @ClassName: InvoiceStatusEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/16 10:45 AM 
 */
public enum  InvoiceStatusEnum {
    CANCEL(1, "已取消"),
    REJECT(2, "已拒绝"),
    APPLYING(3, "申请中"),
    COMPLETE(4, "已完成");

    private int code;
    private String message;

    private InvoiceStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (InvoiceStatusEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public static InvoiceStatusEnum getEnumByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (InvoiceStatusEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
