package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/21 17:08
 */
public class ApprovalCallBackDTO implements Serializable {
    private static final long serialVersionUID = -4804678123408738557L;

    public interface ApprovalValid{}

    @NotBlank(message = "申请单号不能为空", groups = ApprovalValid.class)
    private String orderSerialNumber;
    private String paySerialNumber;
    @NotNull(message = "申请类型不能为空", groups = ApprovalValid.class)
    private Integer buyType;
    private Double totalFee;
    private Double totalFeePaid;
    @NotNull(message = "申请结果不能为空", groups = ApprovalValid.class)
    private Integer auditStatus;
    private Integer resultCode;
    private Integer enterpriseId;
    private String errorCode;
    private String errorCodeRes;
    @NotNull(message = "审批时间不能为空, 格式为YYYYMMdd", groups = ApprovalValid.class)
    private String timeEnd;
    private String prepayId;

    private String onlineSerialNumber;

    public String getOnlineSerialNumber() {
        return onlineSerialNumber;
    }

    public void setOnlineSerialNumber(String onlineSerialNumber) {
        this.onlineSerialNumber = onlineSerialNumber;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public Integer getBuyType() {
        return buyType;
    }

    public void setBuyType(Integer buyType) {
        this.buyType = buyType;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorCodeRes() {
        return errorCodeRes;
    }

    public void setErrorCodeRes(String errorCodeRes) {
        this.errorCodeRes = errorCodeRes;
    }

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Integer getResultCode() {
        return resultCode;
    }

    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

    public void setPrepayId(String prepayId) {
        this.prepayId = prepayId;
    }

    public String getPrepayId() {
        return prepayId;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }
}
