package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 15:21
 */
public class DownloadReportDTO implements Serializable {
    private static final long serialVersionUID = -8175883273955206619L;

    public interface SaveValid{}
    /**
     *
     */
    private Integer downloadReportId;

    /**
     *
     */
    @NotNull(message = "商户id不能为空", groups = SaveValid.class)
    private Integer enterpriseId;

    /**
     * 报告id
     */
    private String reportId;

    /**
     *
     */
    @NotNull(message = "申请人id不能为空", groups = SaveValid.class)
    private Integer applyUserId;

    /**
     *
     */
    private String applyUserName;

    /**
     * 开始时间
     */
    private Date reportStartTime;

    /**
     * 结束时间
     */
    private Date reportEndTime;

    /**
     * 文件名称
     */
    @NotBlank(message = "文件名称不能为空", groups = SaveValid.class)
    private String fileName;

    /**
     * 数据源， 用  "-" 隔开上级和本级
     */
    @NotBlank(message = "数据源不能为空", groups = SaveValid.class)
    private String dataContent;

    /**
     * 数据源超链接
     */
    private String dataUrl;

    /**
     * 报告类型  1：完整数据， 2：脱敏数据， 3：二维码
     */
    @NotNull(message = "报告类型不能为空", groups = SaveValid.class)
    private Integer dataType;

    /**
     * 数据总量
     */
    @NotNull(message = "数据总量不能为空", groups = SaveValid.class)
    private Integer dataCount;

    private String projectCode;

    /**
     * 审批结果 0:未审核   1：审核通过  2：审核失败
     */
    private Integer auditResult;

    /**
     * 审批到期时间
     */
    private Date auditExpireTime;

    /**
     * 文件路径
     */
    private String downloadUrl;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer downloadReportStatus;

    /**
     * 审核人
     */
    private Integer auditorId;

    /**
     * 审核人name
     */
    private String auditorName;

    /**
     * 审核人手机
     */
    private String auditorPhone;

    /**
     * 拒绝理由
     */
    private String auditReason;

    public Integer getDownloadReportId() {
        return downloadReportId;
    }

    public void setDownloadReportId(Integer downloadReportId) {
        this.downloadReportId = downloadReportId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public Integer getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(Integer applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public Date getReportStartTime() {
        return reportStartTime;
    }

    public void setReportStartTime(Date reportStartTime) {
        this.reportStartTime = reportStartTime;
    }

    public Date getReportEndTime() {
        return reportEndTime;
    }

    public void setReportEndTime(Date reportEndTime) {
        this.reportEndTime = reportEndTime;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getDataContent() {
        return dataContent;
    }

    public void setDataContent(String dataContent) {
        this.dataContent = dataContent;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public void setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public void setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
    }

    public Integer getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(Integer auditResult) {
        this.auditResult = auditResult;
    }

    public Date getAuditExpireTime() {
        return auditExpireTime;
    }

    public void setAuditExpireTime(Date auditExpireTime) {
        this.auditExpireTime = auditExpireTime;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDownloadReportStatus() {
        return downloadReportStatus;
    }

    public void setDownloadReportStatus(Integer downloadReportStatus) {
        this.downloadReportStatus = downloadReportStatus;
    }

    public Integer getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Integer auditorId) {
        this.auditorId = auditorId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public String getAuditorPhone() {
        return auditorPhone;
    }

    public void setAuditorPhone(String auditorPhone) {
        this.auditorPhone = auditorPhone;
    }

    public String getAuditReason() {
        return auditReason;
    }

    public void setAuditReason(String auditReason) {
        this.auditReason = auditReason;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }
}
