package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author guojx
 * @date 2019/7/16 4:11 PM
 */
public class EnterpriseDTO implements Serializable{
    private static final long serialVersionUID = -2344967926907229689L;

    public interface SaveEnterpriseValid {
    }

    public interface EditEnterpriseValid {
    }

    public interface BasicInfoEditValid {
    }




    /**
     * 企业主键
     */
    @NotNull(message = "主键不能改为空", groups = {EditEnterpriseValid.class})
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    @NotBlank(message = "商户名称不能为空", groups = {SaveEnterpriseValid.class, BasicInfoEditValid.class})
    private String enterpriseName;

    /**
     * 公司名称
     */
    @NotBlank(message = "公司名称不能为空", groups = {SaveEnterpriseValid.class, BasicInfoEditValid.class})
    private String companyName;

    /**
     *
     */
    @NotBlank(message = "logo不能为空", groups = {SaveEnterpriseValid.class})
    private String logo;

    /**
     *
     */
    @NotBlank(message = "区号ID不能为空", groups = {SaveEnterpriseValid.class, BasicInfoEditValid.class})
    private String areaId;

    /**
     * 详细地址
     */
    @NotBlank(message = "详细地址不能为空", groups = {SaveEnterpriseValid.class, BasicInfoEditValid.class})
    private String address;

    /**
     * 状态；1有效； 0无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 是否完成初始化
     */
    private Integer isInitComplete;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    /**
     * 版本code
     */
    private String versionCode;

    /**
     * 版本名称
     */
    private String versionName;
    /**
     * 服务状态 0:无服务 1:正常 2:停用
     */
    private Integer serviceStatus;

    /**
     * 创建人
     */
    private Integer creatorId;

    /**
     * 前置资源，必有
     */
    private List<EnterpriseResourceRelDTO> resourcesList;

    /***超级管理员*/

    private String userName;
    /**
     * 手机号
     */
    private String phoneNumber;
    /**
     * 密码
     */
    private String password;

    /**
     * 1：自动生成 2：自定义密码
     */
    private Integer passwordType;

    /**
     * 确认密码
     */
    private String confirmPassword;
    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsInitComplete() {
        return isInitComplete;
    }

    public void setIsInitComplete(Integer isInitComplete) {
        this.isInitComplete = isInitComplete;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public Integer getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
    }

    public List<EnterpriseResourceRelDTO> getResourcesList() {
        return resourcesList;
    }

    public void setResourcesList(List<EnterpriseResourceRelDTO> resourcesList) {
        this.resourcesList = resourcesList;
    }

    public String getUserName() {
        return userName;
    }

    public EnterpriseDTO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public EnterpriseDTO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPassword() {
        return password;
    }

    public EnterpriseDTO setPassword(String password) {
        this.password = password;
        return this;
    }

    public Integer getPasswordType() {
        return passwordType;
    }

    public EnterpriseDTO setPasswordType(Integer passwordType) {
        this.passwordType = passwordType;
        return this;
    }

    public String getConfirmPassword() {
        return confirmPassword;
    }

    public EnterpriseDTO setConfirmPassword(String confirmPassword) {
        this.confirmPassword = confirmPassword;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public EnterpriseDTO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }
}
