package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 对外支付接口
 * @Description:
 * @author zhiwj
 * @date 2019/8/27 9:28
 */
public class OutPayDTO implements Serializable {
    private static final long serialVersionUID = 7258039372883398235L;


    public interface SavePrePay {
    }

    public interface ConfirmPay {
    }

    public interface CancelPay{

    }

    /**
     * 商户id
     */
    @NotNull(message = "商户id不能为空", groups = {SavePrePay.class, ConfirmPay.class, CancelPay.class})
    private Integer enterpriseId;

    /**
     * 计划金额
     */
//    @NotNull(message = "计划金额（应付金额）不能为空", groups = ConfirmPay.class)
    private Double totalFee;
    /**
     * 订单金额（实付金额）
     */
    @NotNull(message = "订单金额（实付金额）不能为空", groups = {SavePrePay.class, ConfirmPay.class})
    private Double totalFeePaid;

    /**
     * 商品描述
     */
    @NotBlank(message = "商品描述不能为空", groups = {SavePrePay.class, ConfirmPay.class})
    private String productDescription;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 产品类型  1:充值,2:短信套餐,3:服务,4:拓展包,5:套餐包
     */
    //    @NotNull(message = "购买类型不能为空", groups = {SavePrePay.class, ConfirmPay.class})
    private Integer buyType;

    /* *
     * 1：短信  2：短信套餐  3：应用市场  4：双向呼叫  6：语音验证码  6：语音存储
     * */
    @NotNull(message = "购买类型不能为空", groups = {SavePrePay.class, ConfirmPay.class})
    private Integer buyProductType;
    /**
     * 交易开始时间， 格式为YYYYMMddHHmmss
     */
    @NotBlank(message = "交易起始时间不能为空", groups = {SavePrePay.class})
    private String timeStart;
    /**
     * 交易结束时间， 格式为YYYYMMddHHmmss
     */
    private String timeEnd;

    @NotNull(message = "订单号不能为空", groups = {SavePrePay.class, ConfirmPay.class, CancelPay.class})
    private String orderSerialNumber;

    private Integer payType;

//    @NotBlank(message = "随机字符串不能为空", groups = {SavePrePay.class, ConfirmPay.class})
    private String nonceStr;

//    @NotBlank(message = "签名不能为空", groups = {SavePrePay.class, ConfirmPay.class})
    private String sign;

    @NotNull(message = "渠道来源不能为空", groups = {SavePrePay.class, ConfirmPay.class, CancelPay.class})
    private String requestCode;

    private String authCode;

    /**
     * 申请人id
      */
    private Integer initiatorUser;
    /**
     * 申请人name
      */
    private String initiatorName;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public String getProductDescription() {
        return productDescription;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getBuyType() {
        return buyType;
    }

    public void setBuyType(Integer buyType) {
        this.buyType = buyType;
    }

    public Integer getBuyProductType() {
        return buyProductType;
    }

    public void setBuyProductType(Integer buyProductType) {
        this.buyProductType = buyProductType;
    }

    public String getTimeStart() {
        return timeStart;
    }

    public void setTimeStart(String timeStart) {
        this.timeStart = timeStart;
    }

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public Integer getInitiatorUser() {
        return initiatorUser;
    }

    public void setInitiatorUser(Integer initiatorUser) {
        this.initiatorUser = initiatorUser;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }
}
