package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 15:10
 */
public class RecordingStorageRecordDTO implements Serializable {
    private static final long serialVersionUID = -8391353045479614018L;

    private interface RecordingStorageValid {
    }

    /**
     *
     */
    private Integer recordingStorageRecordId;

    /**
     * 主叫
     */
    @NotBlank(message = "主叫名不能为空", groups = RecordingStorageValid.class)
    private String callerName;

    /**
     * 主叫
     */
    @NotBlank(message = "主叫电话不能为空", groups = RecordingStorageValid.class)
    private String callerPhone;

    /**
     * 主叫
     */
    /**
     * 总费用
     */
    @NotNull(message = "费用不能为空", groups = RecordingStorageValid.class)
    private Double fee;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     * 被叫
     */
    @NotBlank(message = "被叫电话不能为空", groups = RecordingStorageValid.class)
    private String calledPhone;

    /**
     *
     */
    @NotBlank(message = "应用不能为空", groups = RecordingStorageValid.class)
    private String appCode;

    /**
     *
     */
    private String appName;

    /**
     * 语音时长
     */
    @NotBlank(message = "语音时长不能为空", groups = RecordingStorageValid.class)
    private String voiceTime;

    @NotNull(message = "商户id不能为空", groups = RecordingStorageValid.class)
    private Integer enterpriseId;

    /**
     * 支付流水号
     */
    private String paySerialNumber;

    /**
     * 录音存储时长  单位：天
     */
    private String storageDuration;

    /**
     * 服务门店
     */
    private String storeName;

    /**
     * 门店分组
     */
    private String storeGroupName;

    /**
     * 呼叫时间
     */
    private Date callTime;

    /**
     * 备注
     */
    private String remark;

    public Integer getRecordingStorageRecordId() {
        return recordingStorageRecordId;
    }

    public void setRecordingStorageRecordId(Integer recordingStorageRecordId) {
        this.recordingStorageRecordId = recordingStorageRecordId;
    }

    public String getCallerName() {
        return callerName;
    }

    public void setCallerName(String callerName) {
        this.callerName = callerName;
    }

    public String getCallerPhone() {
        return callerPhone;
    }

    public void setCallerPhone(String callerPhone) {
        this.callerPhone = callerPhone;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public String getCalledPhone() {
        return calledPhone;
    }

    public void setCalledPhone(String calledPhone) {
        this.calledPhone = calledPhone;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getVoiceTime() {
        return voiceTime;
    }

    public void setVoiceTime(String voiceTime) {
        this.voiceTime = voiceTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public String getStorageDuration() {
        return storageDuration;
    }

    public void setStorageDuration(String storageDuration) {
        this.storageDuration = storageDuration;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Date getCallTime() {
        return callTime;
    }

    public void setCallTime(Date callTime) {
        this.callTime = callTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}