package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 15:26
 */
public class SmsRecordDTO implements Serializable {

    private static final long serialVersionUID = -8815329867114328018L;

    public interface SmsRecordValid{}

    /**
     *
     */
    private Long smsRecordId;

    /**
     *
     */
    private Integer status;

    /**
     * 发送时间
     */
    @NotNull(message = "发送时间不能为空", groups = SmsRecordValid.class)
    private Date sendTime;

    /**
     * 接收号码
     */
    @NotBlank(message = "接收号码不能为空", groups = SmsRecordValid.class)
    private String receivePhone;

    /**
     * 支付方式  支付方式 0套餐包  4余额支付
     */
    private Integer payType;

    /**
     * 应用
     */
    @NotBlank(message = "应用场景不能为空", groups = SmsRecordValid.class)
    private String appCode;

    /**
     * 应用
     */
    private String appName;

    /**
     * 短信类型  1验证码  2通知  3营销
     */
    @NotNull(message = "短信类型不能为空", groups = SmsRecordValid.class)
    private Integer smsType;

    /**
     * 计费条数
     */
    private Integer billNumber;

    /**
     * 费用
     */
    private Double fee;

    /**
     * 短信内容
     */
    @NotBlank(message = "短信内容不能为空", groups = SmsRecordValid.class)
    private String smsContent;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     *
     */
    @NotNull(message = "商户id不能为空", groups = SmsRecordValid.class)
    private Integer enterpriseId;

    /**
     * 套餐包id
     */
    private Integer enterpriseSmsPackageId;

    /**
     * 会员ecuId
     */
//    @NotNull(message = "会员ecuId不能为空", groups = SmsRecordValid.class)
    private Long ecuId;

    /**
     * 会员mcuId
     */
    private Long mcuId;

    /**
     * 会员卡id
     */
    @NotNull(message = "会员卡id不能为空", groups = SmsRecordValid.class)
    private Long memberCardId;

    /**
     * 通知code
     */
    private String noticeCode;


    private String nationCode;

    private String nationName;

    /**
     * 会员卡名字
     */
    private String memberCardName;

    /**
     * 会员姓名
     */
    private String memberName;

    /**
     * 店招品牌
     */
    private String storeBrandName;

    /**
     * 门店id
     */
    private Integer storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店分组id
     */
    private Integer storeGroupId;

    /**
     * 门店分组名称
     */
    private String storeGroupName;

    /**
     * 操作人id
     */
    private Integer userId;

    /**
     * 操作人name
     */
    private String userName;

    /**
     * 缓存更新成功标志 1:成功
     */
    private Integer cacheStatus;

    /**
     * 数据库更新成功标志 1:成功
     */
    private Integer databaseStatus;

    public Long getSmsRecordId() {
        return smsRecordId;
    }

    public void setSmsRecordId(Long smsRecordId) {
        this.smsRecordId = smsRecordId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getSmsType() {
        return smsType;
    }

    public void setSmsType(Integer smsType) {
        this.smsType = smsType;
    }

    public Integer getBillNumber() {
        return billNumber;
    }

    public void setBillNumber(Integer billNumber) {
        this.billNumber = billNumber;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public String getSmsContent() {
        return smsContent;
    }

    public void setSmsContent(String smsContent) {
        this.smsContent = smsContent;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEnterpriseSmsPackageId() {
        return enterpriseSmsPackageId;
    }

    public void setEnterpriseSmsPackageId(Integer enterpriseSmsPackageId) {
        this.enterpriseSmsPackageId = enterpriseSmsPackageId;
    }

    public Long getEcuId() {
        return ecuId;
    }

    public void setEcuId(Long ecuId) {
        this.ecuId = ecuId;
    }

    public Long getMcuId() {
        return mcuId;
    }

    public void setMcuId(Long mcuId) {
        this.mcuId = mcuId;
    }

    public Long getMemberCardId() {
        return memberCardId;
    }

    public void setMemberCardId(Long memberCardId) {
        this.memberCardId = memberCardId;
    }

    public String getMemberCardName() {
        return memberCardName;
    }

    public void setMemberCardName(String memberCardName) {
        this.memberCardName = memberCardName;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getStoreBrandName() {
        return storeBrandName;
    }

    public void setStoreBrandName(String storeBrandName) {
        this.storeBrandName = storeBrandName;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getCacheStatus() {
        return cacheStatus;
    }

    public void setCacheStatus(Integer cacheStatus) {
        this.cacheStatus = cacheStatus;
    }

    public Integer getDatabaseStatus() {
        return databaseStatus;
    }

    public void setDatabaseStatus(Integer databaseStatus) {
        this.databaseStatus = databaseStatus;
    }

    public String getNationCode() {
        return nationCode;
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    public String getNationName() {
        return nationName;
    }

    public void setNationName(String nationName) {
        this.nationName = nationName;
    }

    public String getNoticeCode() {
        return noticeCode;
    }

    public void setNoticeCode(String noticeCode) {
        this.noticeCode = noticeCode;
    }
}
