package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

public class ConfigRuleDTO implements Serializable{
    private static final long serialVersionUID = -2992133298716031459L;

    /**
     *
     */
    private Integer ruleId;

    /**
     * 规则/分类/场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 规则类型:应用名称
     */
    private String appName;

    /**
     * 规则类型:应用code
     */
    private String appCode;

    /**
     * 分类类型:icon
     */
    private String classifyIcon;

    /**
     * 分类/场景描述
     */
    private String ruleDesc;

    /**
     * 分类/场景备注
     */
    private String remark;

    /**
     * 场景手动输入名称
     */
    private String marketName;

    /**
     * 营销场景ID/code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;

    /**
     * 父级id
     */
    private Integer parentRuleId;

    /**
     * 层级:1:规则 2:分类 3:场景
     */
    private Integer ruleLevel;

    /**
     * 规则链id：_2_3_格式数据
     */
    private String ruleChain;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getRuleId() {
        return ruleId;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getClassifyIcon() {
        return classifyIcon;
    }

    public void setClassifyIcon(String classifyIcon) {
        this.classifyIcon = classifyIcon;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public void setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMarketScene() {
        return marketScene;
    }

    public void setMarketScene(String marketScene) {
        this.marketScene = marketScene;
    }

    public Integer getMarketObject() {
        return marketObject;
    }

    public void setMarketObject(Integer marketObject) {
        this.marketObject = marketObject;
    }

    public Integer getParentRuleId() {
        return parentRuleId;
    }

    public void setParentRuleId(Integer parentRuleId) {
        this.parentRuleId = parentRuleId;
    }

    public Integer getRuleLevel() {
        return ruleLevel;
    }

    public void setRuleLevel(Integer ruleLevel) {
        this.ruleLevel = ruleLevel;
    }

    public String getRuleChain() {
        return ruleChain;
    }

    public void setRuleChain(String ruleChain) {
        this.ruleChain = ruleChain;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMarketName() {
        return marketName;
    }

    public ConfigRuleDTO setMarketName(String marketName) {
        this.marketName = marketName;
        return this;
    }
}
