package com.gic.enterprise.qo;

import java.io.Serializable;
import java.util.List;

/**
 * 运营商户列表查询参数
 * @ClassName: EnterpriseQO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/12 2:56 PM 
 */
public class EnterpriseQO extends PageQO implements Serializable{
    private static final long serialVersionUID = 6358283201042863550L;

    /**
     * 公司名称/品牌名称
     */
    private String search;
    /**
     * 服务版本：例如：达摩基础版 123
     */
    private String serviceVersion;
    /**
     * 0无效，1有效，2停用，3逾期 4：即将到期
     */
    private Integer serviceStatus;
    /**
     * 用EnterpriseListOrderByEnum.getOrderBy(orderBy)解析成sql， 可以为null
     * 1:创建时间正序 2:创建时间倒叙 3:到期时间正序 4:到期时间倒叙
     * 例如：EnterpriseListOrderByEnum.getOrderBy(1)
     */
    private String orderBy;

    /**
     * 运维创建人
     */
    private Integer creatorId;

    /**
     * 运维资源组权限：1：全部商户 其他 ：部分
     */
    private Integer listAll;

    /**
     * 部分商户的时候，商户ID
     */
    private List<Integer> enterpriseIdList;

    public String getSearch() {
        return search;
    }

    public EnterpriseQO setSearch(String search) {
        this.search = search;
        return this;
    }

    public String getServiceVersion() {
        return serviceVersion;
    }

    public EnterpriseQO setServiceVersion(String serviceVersion) {
        this.serviceVersion = serviceVersion;
        return this;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public EnterpriseQO setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
        return this;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public EnterpriseQO setOrderBy(String orderBy) {
        this.orderBy = orderBy;
        return this;
    }

    public Integer getCreatorId() {
        return creatorId;
    }

    public EnterpriseQO setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
        return this;
    }

    public Integer getListAll() {
        return listAll;
    }

    public EnterpriseQO setListAll(Integer listAll) {
        this.listAll = listAll;
        return this;
    }

    public List<Integer> getEnterpriseIdList() {
        return enterpriseIdList;
    }

    public EnterpriseQO setEnterpriseIdList(List<Integer> enterpriseIdList) {
        this.enterpriseIdList = enterpriseIdList;
        return this;
    }
}
