package com.gic.enterprise.qo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * 首页消费监控参数
 * @ClassName: HomeStatisticsQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/19 3:19 PM 
 */
public class HomeStatisticsQO implements Serializable {
    private static final long serialVersionUID = 2371520023910755561L;

    public interface SelectValidView {

    }

    @Pattern(message = "开始时间参数格式错误（正确格式yyyy-MM-dd）", regexp = "\\d{4}-\\d{2}-\\d{2}", groups = {
            SelectValidView.class })
    private String startTime;
    @Pattern(message = "结束时间参数格式错误（正确格式yyyy-MM-dd）", regexp = "\\d{4}-\\d{2}-\\d{2}", groups = {
            SelectValidView.class })
    private String endTime;
    /**
     * 消费类别
     */
    @NotNull(message = "消费类型不能为空", groups = { SelectValidView.class })
    private Integer feeType;
    @NotNull(message = "商户ID不能为空", groups = { SelectValidView.class })
    private Integer enterpriseId;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getFeeType() {
        return feeType;
    }

    public void setFeeType(Integer feeType) {
        this.feeType = feeType;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
