package com.gic.enterprise.qo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 9:19
 */
public class IndexModuleQO implements Serializable {
    private static final long serialVersionUID = 5087506369339250788L;

    public interface SaveValidView{}

    /**
     *
     */
    private Integer indexModuleId;

    /**
     * 组件名称
     */
    @NotBlank(message = "组件名称不能为空", groups = SaveValidView.class)
    private String indexModuleName;

    /**
     * 组件code
     */
    @NotBlank(message = "组件code不能为空", groups = SaveValidView.class)
    private String indexModuleCode;

    /**
     * 组件类型
     */
    @NotNull(message = "组件类型不能为空", groups = SaveValidView.class)
    private Integer moduleType;

    /**
     * 设计模板 code
     */
    @NotBlank(message = "设计模板不能为空", groups = SaveValidView.class)
    private String moduleTemplateCode;

    /**
     * 生效状态
     */
    @NotNull(message = "生效状态不能为空", groups = SaveValidView.class)
    private Integer isUse;

    /**
     * 创建人登录名
     */
    private String createUserLoginName;

    /**
     * 适用对象  1:全部商户   2:部分商户
     */
    @NotNull(message = "适用对象不能为空", groups = SaveValidView.class)
    private Integer objectType;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Double sort;

    private String enterpriseIds;

    public Integer getIndexModuleId() {
        return indexModuleId;
    }

    public void setIndexModuleId(Integer indexModuleId) {
        this.indexModuleId = indexModuleId;
    }

    public String getIndexModuleName() {
        return indexModuleName;
    }

    public void setIndexModuleName(String indexModuleName) {
        this.indexModuleName = indexModuleName;
    }

    public String getIndexModuleCode() {
        return indexModuleCode;
    }

    public void setIndexModuleCode(String indexModuleCode) {
        this.indexModuleCode = indexModuleCode;
    }

    public Integer getModuleType() {
        return moduleType;
    }

    public void setModuleType(Integer moduleType) {
        this.moduleType = moduleType;
    }

    public String getModuleTemplateCode() {
        return moduleTemplateCode;
    }

    public void setModuleTemplateCode(String moduleTemplateCode) {
        this.moduleTemplateCode = moduleTemplateCode;
    }

    public Integer getIsUse() {
        return isUse;
    }

    public void setIsUse(Integer isUse) {
        this.isUse = isUse;
    }

    public String getCreateUserLoginName() {
        return createUserLoginName;
    }

    public void setCreateUserLoginName(String createUserLoginName) {
        this.createUserLoginName = createUserLoginName;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public String getEnterpriseIds() {
        return enterpriseIds;
    }

    public void setEnterpriseIds(String enterpriseIds) {
        this.enterpriseIds = enterpriseIds;
    }
}
