package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AppletAppDTO;

/**
 * 小程序API管理接口
 * @ClassName: AppletAppApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/3 9:42 AM 
 */
public interface AppletAppApiService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> save(AppletAppDTO dto);

    ServiceResponse<Void> edit(AppletAppDTO dto);

    /**
     * 绑定
     * @Title: bind 
     * @Description:
      * @author guojuxing
     * @param appletAppId 
     * @param enterpriseId
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    ServiceResponse<String> bind(Integer appletAppId, Integer enterpriseId);

    /**
     * 解绑
     * @Title: unBind 
     * @Description:
      * @author guojuxing
     * @param appletAppId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    ServiceResponse<String> unBind(Integer appletAppId);

    ServiceResponse<String> delete(Integer appletAppId);

    /**
     * 分页查询
     * @Title: page 
     * @Description: 
      * @author guojuxing 
     * @param search app名称/appId
     * @param enterpriseId
     * @param appStatus 1:绑定 2：解绑
     * @param orderCode 排序code， 1：创建时间正序 2：创建时间倒序
     * @param currentPage
     * @param pageSize 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.AppletAppDTO>> 
      */
    ServiceResponse<Page<AppletAppDTO>> page(String search, Integer enterpriseId, Integer appStatus, Integer orderCode,
            Integer currentPage, Integer pageSize);
}
