package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AppletDecorationConfigDTO;
/**
 * 小程序装修配置
 * @ClassName: AppletDecorationConfigApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/31 9:35 AM 
 */
public interface AppletDecorationConfigApiService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> save(AppletDecorationConfigDTO dto);

    /**
     * 修改
     * @Title: edit 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    ServiceResponse<String> edit(AppletDecorationConfigDTO dto);

    /**
     * 装修配置详情
     * @Title: getDetailByAppId 
     * @Description:
      * @author guojuxing
     * @param appId 小程序key
     * @param enterpriseId  商户ID
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletDecorationConfigDTO> 
      */
    ServiceResponse<AppletDecorationConfigDTO> getDetailByAppId(String appId, Integer enterpriseId);

    /**
     * 会员卡列表
     * @Title: listAppletCard 
     * @Description:
      * @author guojuxing
     * @param appId
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Object> 
      */
    ServiceResponse<Object> listAppletCard(String appId, Integer enterpriseId);
    /**
     * 总积分能够选择的卡列表
     * @Title: listAppletCardOfTotalIntegral 
     * @Description:
     * @author guojuxing
     * @param appId
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Object> 
     */
    ServiceResponse<Object> listAppletCardOfTotalIntegral(String appId, Integer enterpriseId);

    /**
     * 根据平衡组主卡查询子卡列表
     * @Title: listAppletCardByCardId 
     * @Description:
     * @author guojuxing
     * @param cardId
     * @param appId
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Object> 
     */
    ServiceResponse<Object> listAppletCardByCardId(String cardId, String appId, Integer enterpriseId);
}
