package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AppletServiceConfigDTO;
import com.gic.enterprise.qo.AppletServiceConfigQO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-27 16:27
 */
public interface AppletServiceConfigApiService {

    /**
     * 查询所有小程序
     * @Title: listApplet
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param appletServiceConfigQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletServiceConfigDTO>
     * @throws
     */
    ServiceResponse<Page<AppletServiceConfigDTO>> listApplet(Integer enterpriseId, AppletServiceConfigQO appletServiceConfigQO);

    /**
     * 同步小程序
     * @Title: syncApplet
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> syncApplet(Integer enterpriseId);

    /**
     * 查询所有服务号
     * @Title: listService
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param appletServiceConfigQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletServiceConfigDTO>
     * @throws
     */
    ServiceResponse<Page<AppletServiceConfigDTO>> listService(Integer enterpriseId, AppletServiceConfigQO appletServiceConfigQO);

    /** 同步服务号
     * @Title: syncServiceConfig
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> syncServiceConfig(Integer enterpriseId);

    /**
     * @Title: delAppletService
     * @Description:
     * @author zhiwj
     * @param appletServiceId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delAppletService(Integer appletServiceId);

    /**
     * 查详情
     * @Title: getAppletService
     * @Description:
     * @author zhiwj
     * @param appletServiceId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletServiceConfigDTO>
     * @throws
     */
    ServiceResponse<AppletServiceConfigDTO> getAppletService(Integer appletServiceId);
}
