package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingCouponCardDTO;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: BillingCouponCardApiService
 * @Description:  
 * @author zhiwj
 * @date 2019/8/14 17:50
 */
public interface BillingCouponCardApiService {
    
    /**
     * 优惠券列表
     * @Title: listBillingCouponCard
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingCouponCardDTO>
     * @throws
     */
    ServiceResponse<Page<BillingCouponCardDTO>> pageBillingCouponCard(Integer enterpriseId, String startTime, String endTime, int pageSum, int pageSize);

    /**
     * 某产品能使用的优惠券
     * @Title: listBillingCouponCardEnable
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param applicableProductCode
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.BillingCouponCardDTO>>
     * @throws 
     */
    ServiceResponse<List<BillingCouponCardDTO>> listBillingCouponCardEnable(Integer enterpriseId, Integer applicableProductCode);
    
    /**
     * 查询卡券详情
     * @Title: getBillingCouponCard
     * @Description: 
     * @author zhiwj 
     * @param couponCardId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingCouponCardDTO>
     * @throws 
     */
    ServiceResponse<BillingCouponCardDTO>  getBillingCouponCard(Integer couponCardId);

    /**
     * 统计有几张优惠券
     * @Title: countCoupon 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> countCoupon(Integer enterpriseId);

}
