package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingRechargeRecordDTO;
import com.gic.enterprise.qo.RechargeRecordQO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/15 17:11
 */
public interface BillingRechargeRecordApiService {

    /**
     * @Title: listRechargeRecord
     * @Description:
     * @author zhiwj
     * @param rechargeRecordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
     * @throws
     */
    ServiceResponse<Page<BillingRechargeRecordDTO>> listRechargeRecord(RechargeRecordQO rechargeRecordQO);

    /**
     * @Title: getRechargeRecord
     * @Description:
     * @author zhiwj 
     * @param rechargeRecordId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
     * @throws 
     */
    ServiceResponse<BillingRechargeRecordDTO> getRechargeRecord(Integer rechargeRecordId);

    /**
     *
     * @Title: getRechargeRecordForApproval
     * @Description:
     * @author zhiwj
     * @param serialNumber
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
     * @throws
     */
    ServiceResponse<BillingRechargeRecordDTO> getRechargeRecordForApproval(String serialNumber);

    /**
     *  取消
     * @Title: cancelRechargeApproval
     * @Description:
     * @author zhiwj
     * @param rechargeRecordId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingRechargeRecordDTO>
     * @throws
     */
    ServiceResponse<Integer> cancelRechargeApproval(Integer rechargeRecordId);
}
