package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.*;
import com.gic.enterprise.qo.RecordQO;

import java.util.List;
import java.util.Map;

/**
 * 除充值外的所有明细
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 14:39
 */
public interface BillingRecordApiService {

    /**
     * 余额支付明细
     * @Title: listAccountBalanceRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AccountBalanceRecordDTO>
     * @throws
     */
    ServiceResponse<Page<AccountBalanceRecordDTO>> listAccountBalanceRecord(RecordQO recordQO);

    /**
     *
     * @Title: countAccountBalanceRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countAccountBalanceRecord(RecordQO recordQO);

    /**
     * 双向呼叫消费明细
     * @Title: listDoubleCallingRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.DoubleCallingRecordDTO>
     * @throws
     */
    ServiceResponse<Page<DoubleCallingRecordDTO>> listDoubleCallingRecord(RecordQO recordQO);

    /**
     * 双向呼叫个数
     * @Title: countDoubleCallingRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countDoubleCallingRecord(RecordQO recordQO);

    /**
     * 录音存储消费明细
     * @Title: listRecordingStorageRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.RecordingStorageRecordDTO>
     * @throws
     */
    ServiceResponse<Page<RecordingStorageRecordDTO>> listRecordingStorageRecord(RecordQO recordQO);

    /**
     *
     * @Title: countRecordingStorageRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countRecordingStorageRecord(RecordQO recordQO);

    /**
     * 短信套餐包消费明细
     * @Title: listSmsPackageRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.SmsPackageRecordDTO>
     * @throws
     */
    ServiceResponse<Page<SmsPackageRecordDTO>> listSmsPackageRecord(RecordQO recordQO);

    /**
     *
     * @Title: countSmsPackageRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countSmsPackageRecord(RecordQO recordQO);

    /**
     *短信消费明细
     * @Title: listSmsRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.SmsRecordDTO>
     * @throws
     */
    ServiceResponse<Page<SmsRecordDTO>> listSmsRecord(RecordQO recordQO);

    /**
     *
     * @Title: countSmsRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countSmsRecord(RecordQO recordQO);

    /**
     * 海外消费明细
     * @Title: listInternationalSmsRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.InternationalSmsRecordDTO>>
     * @throws
     */
    ServiceResponse<Page<InternationalSmsRecordDTO>> listInternationalSmsRecord(RecordQO recordQO);


    /**
     * @Title: countInternationalSmsRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countInternationalSmsRecord(RecordQO recordQO);
    /**
     * 语音验证码
     * @Title: listVoiceCodeRecord
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.VoiceCodeRecordDTO>
     * @throws
     */
    ServiceResponse<Page<VoiceCodeRecordDTO>> listVoiceCodeRecord(RecordQO recordQO);

    /**
     * 获取总条数
     * @Title: getVoiceCodeRecordCount
     * @Description:
     * @author zhiwj
     * @param recordQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> countVoiceCodeRecord(RecordQO recordQO);
    /**
     * 支出明细
     * @Title: listFee
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<java.util.Map<java.lang.String,java.lang.Object>>>
     * @throws
     */
    ServiceResponse<List<Map<String, Object>>> listFee(Integer enterpriseId, String startTime, String endTime);
}
