package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomChatFiledDTO;
import com.gic.enterprise.dto.CustomUdeskFieldDTO;

import java.util.List;

public interface CustomUdeskFieldApiService {

     /** @Description: 查询初始化的所有字段
      * @author taogs
      * @Date 11:09 2019/12/2
      * @Param
      * @return
     */
    ServiceResponse<List<CustomChatFiledDTO>> listAllField();

    /** @Description: 保存字段
     * @author taogs
     * @Date 11:11 2019/12/2
     * @Param
     * @return
    */
    ServiceResponse<Integer> saveEnterpriseField(CustomUdeskFieldDTO dto);

    /** @Description: 查询企业配置的字段
     * @author taogs
     * @Date 11:11 2019/12/2
     * @Param
     * @return
    */
    ServiceResponse<List<CustomUdeskFieldDTO>> listEnterpriseField(Integer enterpriseId);

    /** @Description: 获取字段配置详情
     * @author taogs
     * @Date 11:12 2019/12/2
     * @Param
     * @return
    */
    ServiceResponse<CustomUdeskFieldDTO> getDetail(Integer id);
 
 /** @Description: 删除配置
  * @author taogs
  * @Date 11:23 2019/12/2
  * @Param 
  * @return 
 */
    ServiceResponse<Integer> deleteField(Integer id);
    
    
    /** @Description: 更新开启状态
     * @author taogs
     * @Date 15:16 2019/12/2
     * @Param 
     * @return 
    */
    ServiceResponse<Integer> updateStatus(Integer id, Integer status);
}
