package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.DictDTO;

import java.util.List;

/**
 *
 * @ClassName: DictApiService
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 10:59
 */
public interface DictApiService {

    /**
     * @Title: listBusinessCategory
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listBusinessCategory();

    /**
     * @Title: listRiskModeDuration
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listRiskModeDuration();

    /**
     * @Title: getDict
     * @Description:
     * @author zhiwj
     * @param categoryCode
     * @param code
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.DictDTO>
     * @throws
     */
    ServiceResponse<DictDTO> getDict(String categoryCode, String code);

    /**
     * @Title: getDictOriginal
     * @Description:
     * @author zhiwj
     * @param categoryCode
     * @param code
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.DictDTO>
     * @throws
     */
    ServiceResponse<DictDTO> getDictOriginal(String categoryCode, String code);

    /**
     * 首页组件设计模板
     * @Title: listModuleTemplateCode
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listModuleTemplateCode();

    /**
     * 短信明细中的应用类型
     * @Title: listSmsAppType
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listSmsAppType();

    /**
     * 待办事项类型
     * @Title: listTodoItemType
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listTodoItemType();

    /**
     *
     * @Title: listRequestCode
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listRequestCode();
}
