package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.DownloadReportDTO;
import com.gic.enterprise.qo.DownloadReportQO;

/**
 * 下载中心
 * @ClassName: DownloadReportApiService
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 15:21
 */
public interface DownloadReportApiService {

    /**
     * 保存下载中心记录
     * @Title: saveDownloadReport
     * @Description:
     * @author zhiwj
     * @param downloadReportDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveDownloadReport(DownloadReportDTO downloadReportDTO);

    /**
     * 更新下载地址
     * @Title: updateDownloadUrl
     * @Description:
     * @author zhiwj
     * @param downloadReportId
     * @param downloadUrl
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> updateDownloadUrl(Integer downloadReportId, String downloadUrl);

    /**
     * 下载记录列表
     * @Title: listDownloadReport
     * @Description:
     * @author zhiwj
     * @param downloadReportQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Page<DownloadReportDTO>> listDownloadReport(DownloadReportQO downloadReportQO);

    /**
     * 申请下载
     * @Title: applyDownloadReport
     * @Description:
     * @author zhiwj
     * @param downloadReportId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> applyDownloadReport(Integer downloadReportId);

    /**
     * 获取下载日志详情
     * @Title: getDownloadReport
     * @Description:
     * @author zhiwj
     * @param downloadReportId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.DownloadReportDTO>
     * @throws
     */
    ServiceResponse<DownloadReportDTO> getDownloadReport(Integer downloadReportId);

    /**
     * 审批的回调
     * @Title: auditCallBack
     * @Description:
     * @author zhiwj
     * @param json
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> auditCallBack(String json);

    /**
     *
     * @Title: getDownloadUrl
     * @Description:
     * @author zhiwj
     * @param downloadReportId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.String>
     * @throws
     */
    ServiceResponse<String> saveDownloadLogReturnDownloadUrl(Integer downloadReportId, Integer loginUserId);

}
