package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;

import java.util.List;
import java.util.Map;

/**
 * 首页消费监控图标
 * @ClassName: HomeStatisticsApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/19 2:13 PM 
 */
public interface HomeStatisticsApiService {

    /**
     * 趋势分析图
     * @Title: viewFeeCharts 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO>> 
      */
    ServiceResponse<List<HomeStatisticsDTO>> viewFeeCharts(HomeStatisticsQO params);
    /**
     * 获取本月或者上月消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    ServiceResponse<Map<String, Double>> getFee(Integer enterpriseId, Integer dateType);



}
