package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.IndexModuleDTO;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-13 15:03
 */
public interface IndexModuleApiService {

    /**
     * 保存首页组件
     * @Title: saveIndexModule
     * @Description:
     * @author zhiwj
     * @param indexModuleDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveIndexModule(IndexModuleDTO indexModuleDTO);

    /**
     * 删除首页组件
     * @Title: delIndexModule
     * @Description:
     * @author zhiwj
     * @param indexModuleId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delIndexModule(Integer indexModuleId);

    /**
     * @Title: getIndexModule
     * @Description:
     * @author zhiwj
     * @param indexModuleId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.IndexModuleDTO>
     * @throws
     */
    ServiceResponse<IndexModuleDTO> getIndexModule(Integer indexModuleId);

    /**
     * 列表
     * @Title: listIndexModule
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.IndexModuleDTO>>
     * @throws
     */
    ServiceResponse<List<IndexModuleDTO>> listIndexModule();

    /**
     * 修改排序
     * @Title: sortIndexModule
     * @Description:
     * @author zhiwj
     * @param indexModuleId
     * @param seq
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> sortIndexModule(Integer indexModuleId, Integer seq);

    /**
     *
     * @Title: listIndexModuleEnterprise
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.IndexModuleDTO>>
     * @throws
     */
    ServiceResponse<List<IndexModuleDTO>> listIndexModuleEnterprise(Integer enterpriseId);

}
