package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.LinkDTO;
import com.gic.enterprise.qo.LinkQO;

import java.util.List;

/**
 * 链接小工具
 * @ClassName: LinkApiService
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 11:32
 */
public interface LinkApiService {

    /**
     * 保存类型
     * @Title: saveLinkType
     * @Description:
     * @author zhiwj
     * @param name
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveLinkType(String name, Integer type);

    /**
     * 更新类型
     * @Title: updateLinkType
     * @Description:
     * @author zhiwj
     * @param linkId
     * @param name
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> updateLinkType(Integer linkId, String name, Integer type);

//    /**
//     * 保存链接菜单
//     * @Title: saveLinkMenu
//     * @Description:
//     * @author zhiwj
//     * @param parentId
//     * @param name
//     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
//     * @throws
//     */
//    ServiceResponse<Void> saveLinkMenu(Integer parentId, String name, Integer type);
//
//    /**
//     * 更新菜单
//     * @Title: updateLinkMenu
//     * @Description:
//     * @author zhiwj
//     * @param linkId
//     * @param name
//     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
//     * @throws
//     */
//    ServiceResponse<Void> updateLinkMenu(Integer linkId, String name, Integer type);

    /**
     * 保存子菜单
     * @Title: saveLinkChildMenu
     * @Description:
     * @author zhiwj
     * @param linkDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveLinkChildMenu(LinkDTO linkDTO);

    /**
     * 更新子菜单
     * @Title: updateLinkChildMenu
     * @Description:
     * @author zhiwj
     * @param linkDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> updateLinkChildMenu(LinkDTO linkDTO);

    /**
     * 删除
     * @Title: delLink
     * @Description:
     * @author zhiwj
     * @param linkIdList
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delLink(List<Integer> linkIdList);

    /**
     * 查询类型
     * @Title: listLinkType
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.LinkDTO>
     * @throws
     */
    ServiceResponse<List<LinkDTO>> listLinkType();

    /**
     * 查询链接菜单
     * @Title: listLinkMenu
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.LinkDTO>>
     * @throws
     */
    ServiceResponse<Page<LinkDTO>> listLinkMenu(LinkQO linkQO);

    /**
     * 查询详情
     * @Title: getLink
     * @Description:
     * @author zhiwj
     * @param linkId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.LinkDTO>
     * @throws
     */
    ServiceResponse<LinkDTO> getLink(Integer linkId);

    /**
     * 编辑适用商户
     * @Title: editLinkEnterprise
     * @Description:
     * @author zhiwj
     * @param linkId
     * @param enterpriseIdList
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> editLinkEnterprise(Integer linkId, Integer enterpriseType, List<Integer> enterpriseIdList);

    /**
     *
     * @Title: listByGic
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param parentId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.LinkDTO>>
     * @throws
     */
    ServiceResponse<List<LinkDTO>> listByGic(Integer enterpriseId, Integer parentId);

    /**
     *
     * @Title: treeByGic
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.LinkDTO>>
     * @throws
     */
    ServiceResponse<List<LinkDTO>> treeByGic(Integer enterpriseId, Integer objectType);
}
