package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.*;

import java.util.List;

public interface QrCodeApiService {
    
    /** @Description: 二维码场景分类查询
     * @author taogs
     * @Date 10:43 2019/11/1
     * @Param 
     * @return 
    */
    ServiceResponse<List<QrcodeScenesClassifyDTO>> listQrCodeScenesClassify(Integer enterpriseId);
    
    /** @Description: 二维码场景值分类保存
     * @author taogs
     * @Date 10:44 2019/11/1
     * @Param 
     * @return
    */
    ServiceResponse<Integer> saveQrCodeScenesClassify(QrcodeScenesClassifyDTO classifyDTO);

    ServiceResponse<QrcodeScenesClassifyDTO> getQrcodeScenesClassify(Integer id);

    ServiceResponse<Integer> deleteQrcodeScenesClassify(Integer id);

    
    /** @Description: 保存二维码场景
     * @author taogs
     * @Date 10:49 2019/11/1
     * @Param 
     * @return 
    */
    ServiceResponse<Integer> saveQrCodeScenes(QrcodeScenesDTO qrcodeScenesDTO);

    
    /** @Description: 分页查询二维码场景
     * @author taogs
     * @Date 10:49 2019/11/1
     * @Param 
     * @return 
    */
    ServiceResponse<Page<QrcodeScenesDTO>> pageQrCodeScenes(Integer enterpriseId, String search,
                                                            Integer classifyId, int pageNum, int pageSize);

    ServiceResponse<QrcodeScenesDTO> getQrcodeScenesById(Integer scenedId);
    
    /** @Description: 更改场景值状态
     * @author taogs
     * @Date 10:53 2019/11/1
     * @Param 
     * @return 
    */
    ServiceResponse<Integer> openScenesStatus(Integer scenesId);


    /** @Description: 更改场景值状态
     * @author taogs
     * @Date 10:53 2019/11/1
     * @Param
     * @return
     */
    ServiceResponse<Integer> closeScenesStatus(Integer scenesId);



    /** @Description: 删除场景值
     * @author taogs
     * @Date 10:53 2019/11/1
     * @Param 
     * @return 
    */
    ServiceResponse<Integer> deleteScenes(Integer scenesId);

    /** @Description: 保存场景值
     * @author taogs
     * @Date 10:54 2019/11/1
     * @Param
     * @return
    */
    ServiceResponse<Integer> saveScenesValue(QrcodeScenesValueDTO qrcodeScenesValueDTO);

    /** @Description: 二维码场景值查询
     * @author taogs
     * @Date 11:21 2019/11/1
     * @Param 
     * @return 
    */
    ServiceResponse<Page<QrcodeScenesValueDTO>> pageQrCodeScenesValue(String search, Integer scenesId,
                                                                      Integer enterpriseId, int pageNum, int pageSize);

    /** @Description:
     * @author taogs
     * @Date 9:44 2019/11/4
     * @Param
     * @return
     */
    ServiceResponse<Integer> deleteQrcodeScenesValue(Integer valueId);

    ServiceResponse<Integer> saveQrcodeDownload(QrcodeDTO qrcodeDTO);

    ServiceResponse<QrcodeDTO> getQrcodeDownload(Integer id);

    ServiceResponse<QrCodeValueDTO> getQrCodeValueById(String id);
}
