package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.SmsRecordDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-06 10:36
 */
public interface SmsRecordApiService {

    /**
     * @Title: verifySendSms
     * @Description: 校验商户能否发送短信
     * @author zhiwj
     * @param enterpriseId
     * @param sendCount
     * @param nationCode 区号，
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> verifySendSms(Integer enterpriseId, Integer sendCount, String nationCode);

    /**
     * 保存明细
     * @Title: saveSmsRecord
     * @Description:
     * @author zhiwj
     * @param smsRecordDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveSmsRecord(SmsRecordDTO smsRecordDTO);

    /**
     * @Title: run
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> run(String arg);

    /**
     * @Title: executeDatabase
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> executeDatabase(String arg);

}
