package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.TodoItemDTO;
import com.gic.enterprise.qo.TodoItemQO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 16:33
 */
public interface TodoItemApiService {

    /**
     * 保存待办事项
     * @Title: saveTodoItem
     * @Description:
     * @author zhiwj
     * @param todoItemDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveTodoItem(TodoItemDTO todoItemDTO);

    /**
     * 完成待办事项
     * @Title: finishTodoItem
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @param itemType
     * @param itemInfoUrl
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> finishTodoItem(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl);

    /**
     * 查询列表
     * @Title: listTodoItem
     * @Description:
     * @author zhiwj
     * @param todoItemQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.TodoItemDTO>
     * @throws
     */
    ServiceResponse<Page<TodoItemDTO>> listTodoItem(TodoItemQO todoItemQO);

    /**
     * 查详情
     * @Title: getTodoItem
     * @Description:
     * @author zhiwj
     * @param todoItemId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.TodoItemDTO>
     * @throws
     */
    ServiceResponse<TodoItemDTO> getTodoItem(Integer todoItemId);

    /**
     * 查询未完成的个数
     * @Title: getUnFinishCount
     * @Description:
     * @author zhiwj
     * @param todoItemQO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> getUnFinishCount(TodoItemQO todoItemQO);

}
