package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAccountStandard;
import org.apache.ibatis.annotations.Param;

public interface TabAccountStandardMapper {
    /**
     * 根据主键删除
     *
     * @param standardId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer standardId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAccountStandard record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAccountStandard record);

    /**
     * 根据主键查询
     *
     * @param standardId 主键
     * @return 实体对象
     */
    TabAccountStandard selectByPrimaryKey(Integer standardId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAccountStandard record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAccountStandard record);

    Integer queryUnitFee(@Param("enterpriseId") Integer enterpriseId, @Param("accountType") Integer accountType);
}