package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletApp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabAppletAppMapper {
    /**
     * 根据主键删除
     *
     * @param appletAppId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer appletAppId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletApp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletApp record);

    /**
     * 根据主键查询
     *
     * @param appletAppId 主键
     * @return 实体对象
     */
    TabAppletApp selectByPrimaryKey(Integer appletAppId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletApp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletApp record);

    /**
     * 统计个数，用于判断是否用重复
     * @Title: countByAppName 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appletAppId 主键ID
     * @param name  app名称
     * @return  int 
      */
    int countByAppName(@Param("enterpriseId") Integer enterpriseId, @Param("appletAppId") Integer appletAppId,
            @Param("name") String name);

    /**
     * 统计个数，用于判断是否用重复
     * @Title: countByAppId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appletAppId
     * @param appId 
     * @return  int 
      */
    int countByAppId(@Param("enterpriseId") Integer enterpriseId, @Param("appletAppId") Integer appletAppId,
            @Param("appId") String appId);

    /**
     * 统计个数，不能超过10个
     * @Title: countByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  int 
      */
    int countByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    /**
     * 查询列表
     * @Title: listByParams 
     * @Description: 
      * @author guojuxing 
     * @param search
     * @param enterpriseId
     * @param appStatus
     * @param orderCode 
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletApp> 
      */
    List<TabAppletApp> listByParams(@Param("search") String search, @Param("enterpriseId") Integer enterpriseId,
            @Param("appStatus") Integer appStatus, @Param("orderCode") Integer orderCode);
}