package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletDecorationConfig;
import org.apache.ibatis.annotations.Param;

public interface TabAppletDecorationConfigMapper {
    /**
     * 根据主键删除
     *
     * @param configId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer configId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletDecorationConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletDecorationConfig record);

    /**
     * 根据主键查询
     *
     * @param configId 主键
     * @return 实体对象
     */
    TabAppletDecorationConfig selectByPrimaryKey(Integer configId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletDecorationConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletDecorationConfig record);

    TabAppletDecorationConfig getByAppId(@Param("appId") String appId, @Param("enterpriseId") Integer enterpriseId);
}