package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletPageComponent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabAppletPageComponentMapper {
    /**
     * 根据主键删除
     *
     * @param componentId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer componentId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletPageComponent record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletPageComponent record);

    /**
     * 根据主键查询
     *
     * @param componentId 主键
     * @return 实体对象
     */
    TabAppletPageComponent selectByPrimaryKey(Integer componentId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletPageComponent record);

    /**
     * 根据主键更新记录，包括二进制大对象
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeyWithBLOBs(TabAppletPageComponent record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletPageComponent record);

    /**
     * 删除页面下的组件
     * @Title: deleteByPageId 
     * @Description:
      * @author guojuxing
     * @param pageId 
     * @return  void 
      */
    void deleteByPageId(@Param("pageId") Integer pageId);

    /**
     * 批量新增
     * @Title: insertFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void insertFetch(@Param("list") List<TabAppletPageComponent> list);

    /**
     * 查询页面下的组件详情
     * @Title: listByPageId 
     * @Description:
      * @author guojuxing
     * @param pageId 
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletPageComponent> 
      */
    List<TabAppletPageComponent> listByPageId(@Param("pageId") Integer pageId);
}