package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletServiceConfig;
import com.gic.enterprise.qo.AppletServiceConfigQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TabAppletServiceConfigMapper {
    /**
     * 根据主键删除
     *
     * @param appletServiceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer appletServiceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletServiceConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletServiceConfig record);

    /**
     * 根据主键查询
     *
     * @param appletServiceId 主键
     * @return 实体对象
     */
    TabAppletServiceConfig selectByPrimaryKey(Integer appletServiceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletServiceConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletServiceConfig record);

    void insertList(@Param("list") List<TabAppletServiceConfig> configList);

    Page<TabAppletServiceConfig> list(AppletServiceConfigQO appletServiceConfigQO);

    void delByAppIdList(@Param("appIdList") List<String> appIdList, @Param("enterpriseId") Integer enterpriseId, @Param("type") Integer type);

    TabAppletServiceConfig getAppByAppId(@Param("enterpriseId") Integer enterpriseId, @Param("appId") String appId);

    void updateTime(@Param("appId") String appId, @Param("type") int type, @Param("updateTime") Date date);
}