package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.AuditLogDTO;
import com.gic.enterprise.entity.TabAuditLog;
import com.gic.enterprise.qo.AuditLogQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

public interface TabAuditLogMapper {
    /**
     * 根据主键删除
     *
     * @param auditLogId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditLogId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditLog record);

    /**
     * 根据主键查询
     *
     * @param auditLogId 主键
     * @return 实体对象
     */
    TabAuditLog selectByPrimaryKey(Integer auditLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditLog record);

    TabAuditLog getLastWaitAuditByApplyUser(AuditLogDTO auditLogDTO);

    Page<TabAuditLog> listAuditLog(AuditLogQO auditLogQO);

    TabAuditLog getWaitAuditByProjectItem(@Param("projectItemId") Integer projectItemId, @Param("auditExpireTime") Date auditExpireTime);
}