package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingCouponCard;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TabBillingCouponCardMapper {
    /**
     * 根据主键删除
     *
     * @param couponCardId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer couponCardId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingCouponCard record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingCouponCard record);

    /**
     * 根据主键查询
     *
     * @param couponCardId 主键
     * @return 实体对象
     */
    TabBillingCouponCard selectByPrimaryKey(Integer couponCardId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingCouponCard record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingCouponCard record);

    Page<TabBillingCouponCard> listBillingCouponCard(@Param("enterpriseId") Integer enterpriseId,
                                                     @Param("startTime") String startTime,
                                                     @Param("endTime") String endTime);

    /**
     * 统计可使用的优惠券
     * @Title: countCoupon 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.lang.Integer 
      */
    Integer countCoupon(@Param("enterpriseId") Integer enterpriseId);

    List<TabBillingCouponCard> listCoupCardEnabled(@Param("enterpriseId") Integer enterpriseId,
                                                   @Param("code") Integer code);

    int expireCoupCard();
}