package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingInternationalSmsRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabBillingInternationalSmsRecordMapper {
    /**
     * 根据主键删除
     *
     * @param smsRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer smsRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingInternationalSmsRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingInternationalSmsRecord record);

    /**
     * 根据主键查询
     *
     * @param smsRecordId 主键
     * @return 实体对象
     */
    TabBillingInternationalSmsRecord selectByPrimaryKey(Integer smsRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingInternationalSmsRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingInternationalSmsRecord record);

    /**
     * 消费趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    double getFee(@Param("enterpriseId") Integer enterpriseId, @Param("dateType") Integer dateType);

    Page<TabBillingInternationalSmsRecord> listInternationalSmsRecord(RecordQO recordQO);

    Integer countInternationalSmsRecord(RecordQO recordQO);

    double getTotalFee(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}