package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingOrder;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabBillingOrderMapper {
    /**
     * 根据主键删除
     *
     * @param orderId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer orderId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingOrder record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingOrder record);

    /**
     * 根据主键查询
     *
     * @param orderId 主键
     * @return 实体对象
     */
    TabBillingOrder selectByPrimaryKey(Integer orderId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingOrder record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingOrder record);

    TabBillingOrder getOrderByPayInfoId(@Param("payInfoId") Integer payInfoId);

    Page<TabBillingOrder> listOrder(@Param("enterpriseId") Integer enterpriseId,
                                    @Param("status") Integer status,
                                    @Param("search") String search,
                                    @Param("startDate") String startDate,
                                    @Param("endDate") String endDate);
    int updateOrderBySerialNumber(@Param("orderSerialNumber") String orderSerialNumber,
                                  @Param("totalFeePaid") Double totalFeePaid,
                                  @Param("auditStatus") Integer auditStatus);

    TabBillingOrder getOrderBySerialNumber(@Param("serialNumber") String orderSerialNumber);
}