package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingRecordingStorageRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabBillingRecordingStorageRecordMapper {
    /**
     * 根据主键删除
     *
     * @param recordingStorageRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer recordingStorageRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingRecordingStorageRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingRecordingStorageRecord record);

    /**
     * 根据主键查询
     *
     * @param recordingStorageRecordId 主键
     * @return 实体对象
     */
    TabBillingRecordingStorageRecord selectByPrimaryKey(Integer recordingStorageRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingRecordingStorageRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingRecordingStorageRecord record);

    /**
     * 消费趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    /**
     * 查询本月或者上月的消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(@Param("enterpriseId") Integer enterpriseId, @Param("dateType") Integer dateType);

    Page<TabBillingRecordingStorageRecord> listRecordingStorageRecord(RecordQO recordQO);

    Integer countRecordingStorageRecord(RecordQO recordQO);

    double getTotalFee(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);

}