package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.rule.RuleEnterpriseDTO;
import com.gic.enterprise.entity.TabConfigRuleEnterprise;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabConfigRuleEnterpriseMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseRuleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseRuleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRuleEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRuleEnterprise record);

    /**
     * 根据主键查询
     *
     * @param enterpriseRuleId 主键
     * @return 实体对象
     */
    TabConfigRuleEnterprise selectByPrimaryKey(Integer enterpriseRuleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRuleEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRuleEnterprise record);

    int countRepeatName(@Param("enterpriseRuleId") Integer enterpriseRuleId, @Param("ruleName") String ruleName);

    List<RuleEnterpriseDTO> listRule(@Param("search") String search);

    List<RuleEnterpriseDTO> listEnterpriseRule(@Param("enterpriseRuleId") Integer enterpriseRuleId, @Param("search") String search);

    List<TabConfigRuleEnterprise> listEnterpriseRuleAll();
}