package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabConfigRuleEnterpriseRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabConfigRuleEnterpriseRelMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRuleEnterpriseRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRuleEnterpriseRel record);

    /**
     * 根据主键查询
     *
     * @param enterpriseRelId 主键
     * @return 实体对象
     */
    TabConfigRuleEnterpriseRel selectByPrimaryKey(Integer enterpriseRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRuleEnterpriseRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRuleEnterpriseRel record);

    void insertBatch(@Param("list") List<TabConfigRuleEnterpriseRel> list);

    void deleteByEnterpriseRuleId(Integer enterpriseRuleId);

    void deleteByEnterpriseIdList(@Param("list") List<Integer> enterpriseIdList);

    List<TabConfigRuleEnterpriseRel> listEnterprise();

    TabConfigRuleEnterpriseRel getByEnterpriseId(Integer enterpriseId);
}