package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabConfigRule;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabConfigRuleMapper {
    /**
     * 根据主键删除
     *
     * @param ruleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer ruleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRule record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRule record);

    /**
     * 根据主键查询
     *
     * @param ruleId 主键
     * @return 实体对象
     */
    TabConfigRule selectByPrimaryKey(Integer ruleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRule record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRule record);

    int countRepeatName(@Param("ruleId") Integer ruleId, @Param("ruleLevel") Integer ruleLevel,
            @Param("name") String name, @Param("parentRuleId") Integer parentRuleId);

    int countRepeatAppCode(@Param("ruleId") Integer ruleId, @Param("appCode") String appCode);

    List<TabConfigRule> listRule(@Param("search") String search, @Param("ruleLevel") Integer ruleLevel,
            @Param("ruleId") Integer ruleId);

    List<TabConfigRule> listAll(@Param("ruleId") Integer ruleId);

    List<TabConfigRule> getRuleTreeByName(String search);

    TabConfigRule getByAppCode(String appCode);
}