package com.gic.enterprise.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.enterprise.entity.TabConfigRuleRel;

public interface TabConfigRuleRelMapper {
    /**
     * 根据主键删除
     *
     * @param ruleRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer ruleRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabConfigRuleRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabConfigRuleRel record);

    /**
     * 根据主键查询
     *
     * @param ruleRelId 主键
     * @return 实体对象
     */
    TabConfigRuleRel selectByPrimaryKey(Integer ruleRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabConfigRuleRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabConfigRuleRel record);

    void insertBatch(@Param("list") List<TabConfigRuleRel> list);

    void deleteByEnterpriseRuleId(Integer enterpriseRuleId);

    List<TabConfigRuleRel> listRuleRel(Integer enterpriseRuleId);
}