package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomGuide;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabCustomGuideMapper {
    /**
     * 根据主键删除
     *
     * @param guideId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer guideId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomGuide record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomGuide record);

    /**
     * 根据主键查询
     *
     * @param guideId 主键
     * @return 实体对象
     */
    TabCustomGuide selectByPrimaryKey(Integer guideId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomGuide record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomGuide record);

    List<Integer> getVersion(@Param("enterpriseId") Integer enterpriseId,
                             @Param("appid") String appid);

    List<TabCustomGuide> listGuide(@Param("enterpriseId") Integer enterpriseId,
                                   @Param("version") Integer version,
                                   @Param("appid") String appid);
}