package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomStore;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabCustomStoreMapper {
    /**
     * 根据主键删除
     *
     * @param customStoreId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer customStoreId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomStore record);

    /**
     * 根据主键查询
     *
     * @param customStoreId 主键
     * @return 实体对象
     */
    TabCustomStore selectByPrimaryKey(Integer customStoreId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomStore record);

    Page<TabCustomStore> pageCustomStore(@Param("enterpriseId") Integer enterpriseId,
                                         @Param("appid") String appid,
                                         @Param("search") String search);

    int closeCustomStore(@Param("enterpriseId") Integer enterpriseId,
                         @Param("appid") String appid);

    List<TabCustomStore> getCustomStore(@Param("enterpriseId") Integer enterpriseId,
                                        @Param("appid") String appid);
}