package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomTheme;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabCustomThemeMapper {
    /**
     * 根据主键删除
     *
     * @param themeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer themeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomTheme record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomTheme record);

    /**
     * 根据主键查询
     *
     * @param themeId 主键
     * @return 实体对象
     */
    TabCustomTheme selectByPrimaryKey(Integer themeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomTheme record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomTheme record);

    List<TabCustomTheme> listTheme(@Param("enterpriseId") Integer enterpriseId,
                                   @Param("appid") String appid);
}