package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomUdeskField;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabCustomUdeskFieldMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomUdeskField record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomUdeskField record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabCustomUdeskField selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomUdeskField record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomUdeskField record);

    List<TabCustomUdeskField> listEnterpriseField(@Param("enterpriseId") Integer enterpriseId);
}