package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataActuallyPaidConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabDataActuallyPaidConfigMapper {
    /**
     * 根据主键删除
     *
     * @param actuallyPaidConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer actuallyPaidConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataActuallyPaidConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataActuallyPaidConfig record);

    /**
     * 根据主键查询
     *
     * @param actuallyPaidConfigId 主键
     * @return 实体对象
     */
    TabDataActuallyPaidConfig selectByPrimaryKey(Integer actuallyPaidConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataActuallyPaidConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataActuallyPaidConfig record);

    List<TabDataActuallyPaidConfig> listByEnterpriseId(Integer enterpriseId);

    int delete(@Param("enterpriseId") Integer enterpriseId, @Param("classify") Integer classify);
}