package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataGenerationConfig;

import java.util.List;

public interface TabDataGenerationConfigMapper {
    /**
     * 根据主键删除
     *
     * @param generationConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer generationConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataGenerationConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataGenerationConfig record);

    /**
     * 根据主键查询
     *
     * @param generationConfigId 主键
     * @return 实体对象
     */
    TabDataGenerationConfig selectByPrimaryKey(Integer generationConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataGenerationConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataGenerationConfig record);

    void deleteGenerationConfig(Integer enterpriseId);

    List<TabDataGenerationConfig> listGenerationByEnterpriseId(Integer enterpriseId);
}