package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataMemberConsumeConfig;

public interface TabDataMemberConsumeConfigMapper {
    /**
     * 根据主键删除
     *
     * @param memberConsumeConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer memberConsumeConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataMemberConsumeConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataMemberConsumeConfig record);

    /**
     * 根据主键查询
     *
     * @param memberConsumeConfigId 主键
     * @return 实体对象
     */
    TabDataMemberConsumeConfig selectByPrimaryKey(Integer memberConsumeConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataMemberConsumeConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataMemberConsumeConfig record);

    TabDataMemberConsumeConfig getByEnterpriseId(Integer enterpriseId);
}