package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataPerformanceConfig;

public interface TabDataPerformanceConfigMapper {
    /**
     * 根据主键删除
     *
     * @param performanceConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer performanceConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataPerformanceConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataPerformanceConfig record);

    /**
     * 根据主键查询
     *
     * @param performanceConfigId 主键
     * @return 实体对象
     */
    TabDataPerformanceConfig selectByPrimaryKey(Integer performanceConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataPerformanceConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataPerformanceConfig record);

    TabDataPerformanceConfig getByEnterpriseId(Integer enterpriseId);
}