package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataSingleEffectConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabDataSingleEffectConfigMapper {
    /**
     * 根据主键删除
     *
     * @param singleEffectConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer singleEffectConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataSingleEffectConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataSingleEffectConfig record);

    /**
     * 根据主键查询
     *
     * @param singleEffectConfigId 主键
     * @return 实体对象
     */
    TabDataSingleEffectConfig selectByPrimaryKey(Integer singleEffectConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataSingleEffectConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataSingleEffectConfig record);

    List<TabDataSingleEffectConfig> getByEnterpriseId(Integer enterpriseId);

    void deleteSingleEffectConfig(@Param("enterpriseId") Integer enterpriseId, @Param("orderGrain") Integer orderGrain);
}