package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDownloadLog;
import com.gic.enterprise.qo.DownloadLogQO;
import com.github.pagehelper.Page;

public interface TabDownloadLogMapper {
    /**
     * 根据主键删除
     *
     * @param downloadLogId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer downloadLogId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDownloadLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDownloadLog record);

    /**
     * 根据主键查询
     *
     * @param downloadLogId 主键
     * @return 实体对象
     */
    TabDownloadLog selectByPrimaryKey(Integer downloadLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDownloadLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDownloadLog record);

    Page<TabDownloadLog> listDownload(DownloadLogQO downloadLogQO);
}