package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDownloadReport;
import com.gic.enterprise.qo.DownloadReportQO;
import com.github.pagehelper.Page;

public interface TabDownloadReportMapper {
    /**
     * 根据主键删除
     *
     * @param downloadReportId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer downloadReportId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDownloadReport record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDownloadReport record);

    /**
     * 根据主键查询
     *
     * @param downloadReportId 主键
     * @return 实体对象
     */
    TabDownloadReport selectByPrimaryKey(Integer downloadReportId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDownloadReport record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDownloadReport record);

    TabDownloadReport getBySelective(TabDownloadReport downloadReport);

    Page<TabDownloadReport> listDownloadReport(DownloadReportQO downloadReportQO);
}