package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabEnterpriseInit;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabEnterpriseInitMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseInitId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseInitId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterpriseInit record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterpriseInit record);

    /**
     * 根据主键查询
     *
     * @param enterpriseInitId 主键
     * @return 实体对象
     */
    TabEnterpriseInit selectByPrimaryKey(Integer enterpriseInitId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterpriseInit record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterpriseInit record);

    int updateByEnterpriseIdSelective(TabEnterpriseInit record);

    TabEnterpriseInit getByCode(@Param("configCode") String configCode, @Param("enterpriseId") Integer enterpriseId);

    List<TabEnterpriseInit> listByParentId(@Param("parentId") Integer parentId, @Param("enterpriseId") Integer enterpriseId);

    int initEnterpriseConfigInfo(@Param("enterpriseId") Integer enterpriseId);

    int updateParentIdBatch(@Param("enterpriseId") Integer enterpriseId,
                            @Param("parentConfigCode") String parentConfigCode,
                            @Param("configCodeList") List<String> configCodeList);


    int deleteByEnterpriseId(Integer enterpriseId);
}