package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.EnterpriseLicenseDTO;
import com.gic.enterprise.entity.TabEnterpriseLicense;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabEnterpriseLicenseMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseLicenseId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseLicenseId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterpriseLicense record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterpriseLicense record);

    /**
     * 根据主键查询
     *
     * @param enterpriseLicenseId 主键
     * @return 实体对象
     */
    TabEnterpriseLicense selectByPrimaryKey(Integer enterpriseLicenseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterpriseLicense record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterpriseLicense record);

    /**
     * 批量新增基础服务的license数据
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param EnterpriseLicenseList 
     * @return  void 
      */
    void saveFetch(@Param("list") List<EnterpriseLicenseDTO> EnterpriseLicenseList);

    void deleteByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    List<TabEnterpriseLicense> listByEnterpriseId(@Param("enterpriseId")Integer enterpriseId);
}