package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabEnterpriseResourceRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabEnterpriseResourceRelMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseResourceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseResourceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEnterpriseResourceRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEnterpriseResourceRel record);

    /**
     * 根据主键查询
     *
     * @param enterpriseResourceId 主键
     * @return 实体对象
     */
    TabEnterpriseResourceRel selectByPrimaryKey(Integer enterpriseResourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEnterpriseResourceRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEnterpriseResourceRel record);

    void deleteResource(@Param("enterpriseId") Integer enterpriseId, @Param("resourceCode") String resourceCode);

    List<TabEnterpriseResourceRel> getByEnterpriseId(@Param("enterpriseId")Integer enterpriseId);
}