package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabHelpCenter;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabHelpCenterMapper {
    /**
     * 根据主键删除
     *
     * @param helpId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer helpId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabHelpCenter record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabHelpCenter record);

    /**
     * 根据主键查询
     *
     * @param helpId 主键
     * @return 实体对象
     */
    TabHelpCenter selectByPrimaryKey(Integer helpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabHelpCenter record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabHelpCenter record);

    Page<TabHelpCenter> pageHelpCenter(@Param("search") String search,
                                       @Param("mode") Integer mode,
                                       @Param("isShow") Integer isShow);

    List<TabHelpCenter> list();
}