package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabIndexModuleEnterprise;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabIndexModuleEnterpriseMapper {
    /**
     * 根据主键删除
     *
     * @param indexModuleEnterpriseId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer indexModuleEnterpriseId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexModuleEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexModuleEnterprise record);

    /**
     * 根据主键查询
     *
     * @param indexModuleEnterpriseId 主键
     * @return 实体对象
     */
    TabIndexModuleEnterprise selectByPrimaryKey(Integer indexModuleEnterpriseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexModuleEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexModuleEnterprise record);

    void delByIndexModuleId(@Param("indexModuleId") Integer indexModuleId);

    void insertSelectiveByNotExist(TabIndexModuleEnterprise indexModuleEnterprise);

    void updateStatusByEnterpriseId(@Param("indexModuleId") Integer indexModuleId, @Param("ids") List<Integer> enterpriseIdList);

    List<TabIndexModuleEnterprise> listIndexModuleEnterprise(@Param("indexModuleId") Integer indexModuleId);
}