package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabIndexModule;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabIndexModuleMapper {
    /**
     * 根据主键删除
     *
     * @param indexModuleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer indexModuleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexModule record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexModule record);

    /**
     * 根据主键查询
     *
     * @param indexModuleId 主键
     * @return 实体对象
     */
    TabIndexModule selectByPrimaryKey(Integer indexModuleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexModule record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexModule record);

    TabIndexModule getBySelective(TabIndexModule indexModule);

    Double getMinSort();

    Double getMaxSort();

    List<TabIndexModule> listIndexModule();

    List<TabIndexModule> listTwoElementExceptId(@Param("start") int start, @Param("size") int size, @Param("indexModuleId") Integer indexModuleId);

    List<TabIndexModule> listIndexModuleEnterprise(@Param("enterpriseId") Integer enterpriseId);
}