package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabLink;
import com.gic.enterprise.qo.LinkQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabLinkMapper {
    /**
     * 根据主键删除
     *
     * @param linkId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer linkId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabLink record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabLink record);

    /**
     * 根据主键查询
     *
     * @param linkId 主键
     * @return 实体对象
     */
    TabLink selectByPrimaryKey(Integer linkId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabLink record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabLink record);

    TabLink getSelective(TabLink tabLink);

    List<Integer> getLinkIdsByParentIds(@Param("ids") List<Integer> parentIdList);

    List<TabLink> getLinkByParentIds(@Param("ids") List<Integer> linkIdList);

    int delLinkByIdList(@Param("ids") List<Integer> allIdList);

    List<TabLink> listLinkType();

    Page<TabLink> listLinkMenu(LinkQO linkQO);

    List<TabLink> listByGic(@Param("enterpriseId") Integer enterpriseId, @Param("parentId") Integer parentId);

    List<TabLink> treeByGic(@Param("enterpriseId") Integer enterpriseId, @Param("objectType") Integer objectType);
}