package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabLinkScene;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabLinkSceneMapper {
    /**
     * 根据主键删除
     *
     * @param linkSceneId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer linkSceneId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabLinkScene record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabLinkScene record);

    /**
     * 根据主键查询
     *
     * @param linkSceneId 主键
     * @return 实体对象
     */
    TabLinkScene selectByPrimaryKey(Integer linkSceneId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabLinkScene record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabLinkScene record);

    List<Integer> listByLinkId(@Param("linkId") Integer linkId);

    void delByLinkEnterprise(@Param("linkId") Integer linkId);

    void insertSelectiveByNotExist(TabLinkScene linkScene);

    void updateStatusByEnterpriseId(@Param("linkId") Integer linkId, @Param("ids") List<Integer> enterpriseIdList);

    void delByLinkIdList(@Param("ids") List<Integer> linkIdList);
}