package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabQrcodeScenesClassify;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabQrcodeScenesClassifyMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabQrcodeScenesClassify record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabQrcodeScenesClassify record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabQrcodeScenesClassify selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabQrcodeScenesClassify record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabQrcodeScenesClassify record);

    List<TabQrcodeScenesClassify> listQrCodeScenesClassify(@Param("enterpriseId") Integer enterpriseId,
                                                           @Param("search") String search);

    List<TabQrcodeScenesClassify> listByName(@Param("enterpriseId") Integer enterpriseId,
                                             @Param("name") String name);
}