package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.QrcodeScenesDTO;
import com.gic.enterprise.entity.TabQrcodeScenes;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabQrcodeScenesMapper {
    /**
     * 根据主键删除
     *
     * @param scenesId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer scenesId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabQrcodeScenes record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabQrcodeScenes record);

    /**
     * 根据主键查询
     *
     * @param scenesId 主键
     * @return 实体对象
     */
    TabQrcodeScenes selectByPrimaryKey(Integer scenesId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabQrcodeScenes record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabQrcodeScenes record);

    Page<QrcodeScenesDTO> listQrCodeScenes(@Param("search") String search,
                                           @Param("classifyId") Integer classifyId,
                                           @Param("enterpriseId") Integer enterpriseId);

    int updateScenesStatus(@Param("scenesId") Integer scenesId, @Param("status") int status);

    List<TabQrcodeScenes> listQrcodeScenesByName(@Param("enterpriseId") Integer enterpriseId,
                                                 @Param("name") String name);
}