package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabQrcodeScenesValue;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabQrcodeScenesValueMapper {
    /**
     * 根据主键删除
     *
     * @param valueId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer valueId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabQrcodeScenesValue record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabQrcodeScenesValue record);

    /**
     * 根据主键查询
     *
     * @param valueId 主键
     * @return 实体对象
     */
    TabQrcodeScenesValue selectByPrimaryKey(Integer valueId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabQrcodeScenesValue record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabQrcodeScenesValue record);

    Page<TabQrcodeScenesValue> listQrcodeScenesValue(@Param("enterpriseId") Integer enterpriseId,
                                                     @Param("scenesId") Integer scenesId,
                                                     @Param("search") String search);
}