package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabTodoItem;
import com.gic.enterprise.qo.TodoItemQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabTodoItemMapper {
    /**
     * 根据主键删除
     *
     * @param todoItemId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer todoItemId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTodoItem record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTodoItem record);

    /**
     * 根据主键查询
     *
     * @param todoItemId 主键
     * @return 实体对象
     */
    TabTodoItem selectByPrimaryKey(Integer todoItemId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTodoItem record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTodoItem record);

    TabTodoItem getBySelective(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId, @Param("itemType") String itemType, @Param("itemInfoUrl") String itemInfoUrl);

    int finishTodoItem(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId, @Param("itemType") String itemType, @Param("itemInfoUrl") String itemInfoUrl);

    Page<TabTodoItem> listTodoItem(TodoItemQO todoItemQO);

    Integer getUnFinishCount(TodoItemQO todoItemQO);
}