package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStoreConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabWmStoreConfigMapper {
    /**
     * 根据主键删除
     *
     * @param storeConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStoreConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStoreConfig record);

    /**
     * 根据主键查询
     *
     * @param storeConfigId 主键
     * @return 实体对象
     */
    TabWmStoreConfig selectByPrimaryKey(Integer storeConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStoreConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStoreConfig record);

    TabWmStoreConfig getWmStoreConfig(@Param("wmMallStoreId") Integer wmMallStoreId, @Param("storeConfigType") Integer storeConfigType);

    List<TabWmStoreConfig> listWmStoreConfig(Integer wmMallStoreId);
}