package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStoreCouponConfig;
import com.gic.enterprise.qo.wm.CouponConfigQO;

import java.util.List;

public interface TabWmStoreCouponConfigMapper {
    /**
     * 根据主键删除
     *
     * @param couponConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer couponConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStoreCouponConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStoreCouponConfig record);

    /**
     * 根据主键查询
     *
     * @param couponConfigId 主键
     * @return 实体对象
     */
    TabWmStoreCouponConfig selectByPrimaryKey(Integer couponConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStoreCouponConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStoreCouponConfig record);

    List<TabWmStoreCouponConfig> getCouponConfig(CouponConfigQO params);
}