package com.gic.enterprise.service;

import com.gic.enterprise.dto.AppletAppDTO;
import com.gic.enterprise.entity.TabAppletApp;
import com.github.pagehelper.Page;

/**
 * 小程序API管理接口
 * @ClassName: AppletAppService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/3 9:51 AM 
 */
public interface AppletAppService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
      */
    Integer save(AppletAppDTO dto);

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  java.lang.Integer 
      */
    Integer save(TabAppletApp record);

    void edit(AppletAppDTO dto);

    /**
     * 绑定、解绑、删除
     * @param appletAppId
     * @param status
     */
    void updateAppStatus(Integer appletAppId, Integer status);

    /**
     * 主键查询
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param appletAppId  主键ID
     * @return  com.gic.enterprise.entity.TabAppletApp 
      */
    TabAppletApp getById(Integer appletAppId);

    /**
     * 是否名称重复
     * @Title: isRepeatName 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appletAppId
     * @param name 
     * @return  boolean 
      */
    boolean isRepeatName(Integer enterpriseId, Integer appletAppId, String name);

    /**
     * 是否appID重复
     * @Title: isRepeatAppId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appletAppId
     * @param appId 
     * @return  boolean 
      */
    boolean isRepeatAppId(Integer enterpriseId, Integer appletAppId, String appId);

    /**
     * 统计个数，不能超过10个
     * @Title: countByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  int 
      */
    int countByEnterpriseId(Integer enterpriseId);

    /**
     * 分页查询
     * @Title: page 
     * @Description: 
      * @author guojuxing 
     * @param search appName/appCode
     * @param enterpriseId
     * @param appStatus 1:绑定 2：解绑
     * @param orderCode 排序code 1：创建时间正序 2：创建时间倒序
     * @param currentPage
     * @param pageSize 
     * @return  com.github.pagehelper.Page<com.gic.enterprise.entity.TabAppletApp> 
      */
    Page<TabAppletApp> page(String search, Integer enterpriseId, Integer appStatus, Integer orderCode,
            Integer currentPage, Integer pageSize);
}
