package com.gic.enterprise.service;

import com.gic.enterprise.dto.AppletCustomPageDTO;
import com.gic.enterprise.entity.TabAppletCustomPage;
import com.gic.enterprise.qo.AppletPageQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 小程序自定页面
 * @ClassName: AppletCustomPageService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 1:58 PM 
 */
public interface AppletCustomPageService {
    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
      */
    Integer save(AppletCustomPageDTO dto);
    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param record  实体类
     * @return  java.lang.Integer 
      */
    Integer save(TabAppletCustomPage record);

    /**
     * 编辑
     * @Title: edit 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  void 
      */
    void edit(TabAppletCustomPage record);

    /**
     * 开启/关闭/删除
     * @Title: updateStatus 
     * @Description:
      * @author guojuxing
     * @param pageId
     * @param status 
     * @return  void 
      */
    void updateStatus(Integer pageId, Integer status);

    /**
     * 分页查询页面
     * @Title: page 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.enterprise.entity.TabAppletCustomPage> 
      */
    Page<TabAppletCustomPage> page(AppletPageQO params);

    /**
     * 详情
     * @Title: getByPageId 
     * @Description:
      * @author guojuxing
     * @param pageId 
     * @return  com.gic.enterprise.entity.TabAppletCustomPage 
      */
    TabAppletCustomPage getByPageId(Integer pageId);

    /**
     * 是否已经有会员中心页面的配置
     * @Title: hasCreateMemberCenterPage 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  boolean 
      */
    boolean hasCreateMemberCenterPage(Integer enterpriseId);

    /**
     * 关闭状态
     * @Title: disableFetch 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appType 1：小程序 2：服务号
     * @param appId 小程序/服务号的ID
     * @param pageType  AppletPageTypeEnum枚举
     * @return  int 
      */
    int disableFetch(Integer enterpriseId, Integer appType, String appId, Integer pageType);

    /**
     * 查询发布状态的记录
     * @Title: listEnablePage 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appType 1：小程序 2：服务号
     * @param appId 小程序/服务号的ID
     * @param pageType  AppletPageTypeEnum枚举
     * @return  com.gic.enterprise.entity.TabAppletCustomPage 
      */
    List<TabAppletCustomPage> listEnablePage(Integer enterpriseId, Integer appType, String appId, Integer pageType);

    /**
     * 统计条数
     * @Title: count 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param appType
     * @param appId
     * @param pageType 
     * @return  int 
      */
    int count(Integer enterpriseId, Integer appType, String appId, Integer pageType);

    /**
     * 默认的商户ID为-1的默认记录
     * @Title: getDefault 
     * @Description:
      * @author guojuxing  
     * @param pageType
     * @return  com.gic.enterprise.entity.TabAppletCustomPage 
      */
    TabAppletCustomPage getDefault(Integer pageType);

    void deleteFetch(List<Integer> pageIdList);

}
