package com.gic.enterprise.service;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.dto.InternationalSmsRecordDTO;
import com.gic.enterprise.entity.TabBillingInternationalSmsRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-01 16:27
 */
public interface BillingInternationalSmsRecordService {
    /**
     * 趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    /**
     * 获取本月或者上月消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(Integer enterpriseId, Integer dateType);

    Page<TabBillingInternationalSmsRecord> listInternationalSmsRecord(RecordQO recordQO);

    Double getTotalFee(Integer enterpriseId, String startTime, String endTime);

    Long save(InternationalSmsRecordDTO internationalSmsRecordDTO);

    Integer countInternationalSmsRecord(RecordQO recordQO);

    void updateCacheStatus(Long smsRecordId);

    void updateDatabaseStatus(InternationalSmsRecordDTO internationalSmsRecordDTO);
}
