package com.gic.enterprise.service;

import com.gic.enterprise.dto.ApprovalCallBackDTO;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.entity.TabBillingPayInfo;
import com.gic.enterprise.qo.BillListQueryQO;
import com.github.pagehelper.Page;

import java.util.Date;

/**
 * 支付信息
 * @ClassName: BillingPayInfoService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 1:59 PM 
 */
public interface BillingPayInfoService {

    /**
     * 根据主键查询单条
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param billingPayInfoId 
     * @return  com.gic.enterprise.entity.TabBillingPayInfo 
      */
    TabBillingPayInfo getById(Integer billingPayInfoId);

    /**
     * 分页查询为开票单据列表数据
     * @Title: listBilling 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingPayInfo> 
      */
    Page<TabBillingPayInfo> listBilling(BillListQueryQO params);

    Integer savePayInfo(BillingPayInfoDTO billingPayInfoDTO);

    Integer updatePayInfoBySerialNumber(ApprovalCallBackDTO resData);

    TabBillingPayInfo getBySerialNumber(String serialNumber);

    void updateAudit(Double accountAmount, Date approvalTime, Integer payInfoId);

    TabBillingPayInfo getByOrderSerialNumber(String orderSerialNumber, Integer payType);

    TabBillingPayInfo getByOrderSerialNumber(Integer enterpriseId, String requestCode, String orderSerialNumber);

    Integer cancelPay(BillingPayInfoDTO payInfoDTO);

    void delOtherPayInfoExceptId(Integer payInfoId, Integer enterpriseId, String orderSerialNumber);

    /**
     * 开票修改状态为已开票
     * @Title: updateInvoiceStatus 
     * @Description:
      * @author guojuxing
     * @param serialNumbers 
     * @return  void 
      */
    void updateInvoiceStatus(String serialNumbers);
    /**
     * 根据支付流水号查询支付信息
     * @Title: getPayInfoBySerialNumber 
     * @Description:
      * @author guojuxing
     * @param serialNumber 
     * @return  com.gic.enterprise.entity.TabBillingPayInfo 
      */
    TabBillingPayInfo getPayInfoBySerialNumber(String serialNumber);

    void updatePayType(Integer payInfoId, Integer payType);
}
