package com.gic.enterprise.service;

import com.gic.enterprise.dto.BillingOrderDTO;
import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.entity.TabBillingSmsPackageRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 短信套餐包消费明细
 * @ClassName: BillingSmsRecordService 
 * @Description:    
 * @author guojuxing   
 * @date 2019/8/19 3:35 PM  
 */
public interface BillingSmsPackageRecordService {

    /**
     * 趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);
    /**
     * 获取本月或者上月消费金额
     * @Title: listFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(Integer enterpriseId, Integer dateType);

    Integer saveSmsPackageRecord(BillingOrderDTO billingOrderDTO);

    Page<TabBillingSmsPackageRecord> listSmsPackageRecord(RecordQO recordQO);

    Integer countSmsPackageRecord(RecordQO recordQO);

    Double getTotalFee(Integer enterpriseId, String startTime, String endTime);

}
