package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataGenerationConfigDTO;
import com.gic.enterprise.entity.TabDataGenerationConfig;

import java.util.List;

public interface DataGenerationConfigService {
    /**
     * 新增年龄段配置
     * @Title: saveGenerationConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void saveGenerationConfig(DataGenerationConfigDTO dto);

    /**
     * 逻辑删除
     * @Title: deleteGenerationConfig 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @return  void 
     */
    void deleteGenerationConfig(Integer enterpriseId);

    /**
     * 查询年龄段配置数据
     * @Title: listGenerationByEnterpriseId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.enterprise.entity.TabDataGenerationConfig> 
     */
    List<TabDataGenerationConfig> listGenerationByEnterpriseId(Integer enterpriseId);
}
