package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataSingleEffectConfigDTO;
import com.gic.enterprise.entity.TabDataSingleEffectConfig;

import java.util.List;

public interface DataSingleEffectConfigService {

    /**
     * 新增单效取值配置
     * @Title: saveSingleEffectConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void saveSingleEffectConfig(DataSingleEffectConfigDTO dto);

    void editSingleEffectConfig(DataSingleEffectConfigDTO dto);

    /**
     * 根据商户ID查询配置
     * @Title: getByEnterpriseId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabDataSingleEffectConfig 
     */
    List<TabDataSingleEffectConfig> getByEnterpriseId(Integer enterpriseId);

    /**
     * 删除
     * @Title: deleteSingleEffectConfig 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param orderGrain 订单粒度 1:订单粒度（默认） 2:订单粒度（统计到商品品牌）
     * @return  void 
     */
    void deleteSingleEffectConfig(Integer enterpriseId, Integer orderGrain);
}
