package com.gic.enterprise.service;

import java.util.List;

import com.gic.enterprise.dto.wm.WmStoreConfigDTO;
import com.gic.enterprise.entity.TabWmStoreConfig;

public interface WmStoreConfigService {

    /**
     * 新增店铺配置
     * @Title: saveWmStoreConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWmStoreConfig(WmStoreConfigDTO dto);

    void editWmStoreConfig(WmStoreConfigDTO dto);

    /**
     * 根据微盟主账号查询配置
     * @Title: getWmStoreConfig 
     * @Description:
     * @author guojuxing
     * @param wmMallStoreId 店铺主键ID
     * @param storeConfigType 店铺配置类型 WmStoreConfigTypeEnum枚举类
     * @return  com.gic.enterprise.entity.TabWmStoreConfig 
     */
    TabWmStoreConfig getWmStoreConfig(Integer wmMallStoreId, Integer storeConfigType);

    List<TabWmStoreConfig> listWmStoreConfig(Integer wmMallStoreId);
}
