package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabAppletDecorationConfigMapper;
import com.gic.enterprise.dto.AppletDecorationConfigDTO;
import com.gic.enterprise.entity.TabAppletDecorationConfig;
import com.gic.enterprise.service.AppletDecorationConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("appletDecorationConfigService")
public class AppletDecorationConfigServiceImpl implements AppletDecorationConfigService{
    @Autowired
    private TabAppletDecorationConfigMapper tabAppletDecorationConfigMapper;

    @Override
    public int save(AppletDecorationConfigDTO dto) {
        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        TabAppletDecorationConfig record = EntityUtil.changeEntityNew(TabAppletDecorationConfig.class, dto);
        tabAppletDecorationConfigMapper.insert(record);
        return record.getConfigId();
    }

    @Override
    public void edit(AppletDecorationConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabAppletDecorationConfig record = EntityUtil.changeEntityNew(TabAppletDecorationConfig.class, dto);
        tabAppletDecorationConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabAppletDecorationConfig getById(Integer configId) {
        return tabAppletDecorationConfigMapper.selectByPrimaryKey(configId);
    }

    @Override
    public TabAppletDecorationConfig getByAppId(String appId, Integer enterpriseId) {
        return tabAppletDecorationConfigMapper.getByAppId(appId, enterpriseId);
    }
}
