package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabAppletPageComponentMapper;
import com.gic.enterprise.entity.TabAppletPageComponent;
import com.gic.enterprise.service.AppletPageComponentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("appletPageComponentService")
public class AppletPageComponentServiceImpl implements AppletPageComponentService{
    @Autowired
    private TabAppletPageComponentMapper tabAppletPageComponentMapper;
    @Override
    public void saveFetch(List<TabAppletPageComponent> list) {
        tabAppletPageComponentMapper.insertFetch(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByPageId(Integer pageId) {
        tabAppletPageComponentMapper.deleteByPageId(pageId);
    }

    @Override
    public List<TabAppletPageComponent> listByPageId(Integer pageId) {
        return tabAppletPageComponentMapper.listByPageId(pageId);
    }
}
