package com.gic.enterprise.service.impl;

import com.gic.commons.util.DateUtil;
import com.gic.enterprise.constant.CoupCardStatusEnum;
import com.gic.enterprise.dao.mapper.TabBillingCouponCardMapper;
import com.gic.enterprise.entity.TabBillingCouponCard;
import com.gic.enterprise.service.BillingCouponCardService;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 *
 * @ClassName: BillingCouponCardServiceImpl
 * @Description:
 * @author zhiwj
 * @date 2019/8/14 18:11
 */
@Service("billingCouponCardService")
public class BillingCouponCardServiceImpl implements BillingCouponCardService {

    @Autowired
    private TabBillingCouponCardMapper tabBillingCouponCardMapper;

    @Override
    public TabBillingCouponCard getNotExpiredCouponCardById(Integer couponCardId) {
        TabBillingCouponCard couponCard = tabBillingCouponCardMapper.selectByPrimaryKey(couponCardId);
        if (couponCard != null && DateUtil.compareDate(couponCard.getEffectiveEndDate(), new Date())) {
            return couponCard;
        }
        return null;
    }

    @Override
    public Page<TabBillingCouponCard> pageBillingCouponCard(Integer enterpriseId, String startTime, String endTime) {
        return tabBillingCouponCardMapper.listBillingCouponCard(enterpriseId, startTime, endTime);
    }

    @Override
    public Integer countCoupon(Integer enterpriseId) {
        Integer count = tabBillingCouponCardMapper.countCoupon(enterpriseId);
        if (count == null) {
            return 0;
        }
        return count;
    }

    @Override
    public List<TabBillingCouponCard> listCoupCardEnabled(Integer enterpriseId, Integer code) {
        return this.tabBillingCouponCardMapper.listCoupCardEnabled(enterpriseId, code);
    }

    @Override
    public TabBillingCouponCard getCoupCardDetail(Integer id) {
        return this.tabBillingCouponCardMapper.selectByPrimaryKey(id);
    }

    @Override
    public int useCoupCard(Integer coupCardId) {
        TabBillingCouponCard billingCouponCard = new TabBillingCouponCard();
        billingCouponCard.setCouponCardId(coupCardId);
        billingCouponCard.setStatus(CoupCardStatusEnum.USEED.getCode());
        return this.tabBillingCouponCardMapper.updateByPrimaryKeySelective(billingCouponCard);
    }

    @Override
    public int expireCoupCard() {
        return this.tabBillingCouponCardMapper.expireCoupCard();
    }
}
