package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabBillingRecordingStorageRecordMapper;
import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.dto.RecordingStorageRecordDTO;
import com.gic.enterprise.entity.TabBillingRecordingStorageRecord;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.qo.RecordQO;
import com.gic.enterprise.service.BillingRecordingStorageRecordService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service("billingRecordingStorageRecordService")
public class BillingRecordingStorageRecordServiceImpl implements BillingRecordingStorageRecordService{
    @Autowired
    private TabBillingRecordingStorageRecordMapper tabBillingRecordingStorageRecordMapper;
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        List<HomeStatisticsDTO> list = tabBillingRecordingStorageRecordMapper.listHomeStatistics(params);
        if (CollectionUtils.isNotEmpty(list)) {
            return list;
        }
        return new ArrayList<>();
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return tabBillingRecordingStorageRecordMapper.getFee(enterpriseId, dateType);
    }

    @Override
    public Page<TabBillingRecordingStorageRecord> listRecordingStorageRecord(RecordQO recordQO) {
        PageHelper.startPage(recordQO.getCurrentPage(), recordQO.getPageSize());
        return this.tabBillingRecordingStorageRecordMapper.listRecordingStorageRecord(recordQO);
    }

    @Override
    public Integer countRecordingStorageRecord(RecordQO recordQO) {
        return this.tabBillingRecordingStorageRecordMapper.countRecordingStorageRecord(recordQO);
    }

    @Override
    public Double getTotalFee(Integer enterpriseId, String startTime, String endTime) {
        return tabBillingRecordingStorageRecordMapper.getTotalFee(enterpriseId, startTime, endTime);
    }

    @Override
    public Integer save(RecordingStorageRecordDTO recordingStorageRecordDTO) {
        TabBillingRecordingStorageRecord tabBillingRecordingStorageRecord = EntityUtil.changeEntityByJSON(TabBillingRecordingStorageRecord.class, recordingStorageRecordDTO);
        tabBillingRecordingStorageRecord.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        tabBillingRecordingStorageRecord.setCreateTime(new Date());
        return tabBillingRecordingStorageRecordMapper.insertSelective(tabBillingRecordingStorageRecord);
    }
}
