package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabBillingRefundMapper;
import com.gic.enterprise.dto.RefundDTO;
import com.gic.enterprise.entity.TabBillingRefund;
import com.gic.enterprise.qo.RefundQO;
import com.gic.enterprise.service.BillingRefundService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/9/3 11:09
 */
@Service
public class BillingRefundServiceImpl implements BillingRefundService {

    @Autowired
    private TabBillingRefundMapper tabBillingRefundMapper;

    @Override
    public TabBillingRefund getRefund(Integer enterpriseId, String refundSerialNumber, String requestCode) {
        return tabBillingRefundMapper.getRefund(enterpriseId, refundSerialNumber, requestCode);
    }

    @Override
    public Double getTotalRefundFee(Integer enterpriseId, String orderSerialNumber, String requestCode) {
        return tabBillingRefundMapper.getTotalRefundFee(enterpriseId, orderSerialNumber, requestCode);
    }

    @Override
    public Integer save(RefundDTO refundDTO) {
        TabBillingRefund billingRefund = EntityUtil.changeEntityByOrika(TabBillingRefund.class, refundDTO);
        billingRefund.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        billingRefund.setCreateTime(new Date());
        billingRefund.setRefundChannel(1);
        return tabBillingRefundMapper.insertSelective(billingRefund);
    }

    @Override
    public Page<TabBillingRefund> listRefund(RefundQO refundQO) {
        PageHelper.startPage(refundQO.getCurrentPage(), refundQO.getPageSize());
        return tabBillingRefundMapper.listRefund(refundQO);
    }
}
