package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabCustomGuideMapper;
import com.gic.enterprise.entity.TabCustomGuide;
import com.gic.enterprise.service.CustomGuideService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("customGuideService")
public class CustomGuideServiceImpl implements CustomGuideService {
    @Autowired
    private TabCustomGuideMapper tabCustomGuideMapper;

    @Override
    public int getMaxVersion(Integer enterpriseId, String appid) {
        List<Integer> list = this.tabCustomGuideMapper.getVersion(enterpriseId, appid);
        if(CollectionUtils.isNotEmpty(list)){
            return list.get(0);
        }
        return 0;
    }

    @Override
    public List<TabCustomGuide> listGuide(Integer enterpriseId, Integer version, String appid) {
        return this.tabCustomGuideMapper.listGuide(enterpriseId, version, appid);
    }

    @Override
    public int saveGuide(TabCustomGuide guide) {
        guide.setUpdateTime(new Date());
        if(guide.getGuideId() != null){
            return this.tabCustomGuideMapper.updateByPrimaryKeySelective(guide);
        }
        guide.setCreateTime(new Date());
        return this.tabCustomGuideMapper.insertSelective(guide);
    }

    @Override
    public List<TabCustomGuide> listGuide(Integer enterpriseId) {
        return this.listGuide(enterpriseId, null, null);
    }
}
