package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabCustomStoreMapper;
import com.gic.enterprise.entity.TabCustomStore;
import com.gic.enterprise.service.CustomStoreService;
import com.github.pagehelper.Page;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("customStoreService")
public class CustomStoreServiceImpl implements CustomStoreService {
    @Autowired
    private TabCustomStoreMapper tabCustomStoreMapper;

    @Override
    public int saveCustomStore(TabCustomStore tabCustomStore) {
        tabCustomStore.setUpdateTime(new Date());
        if(tabCustomStore.getCustomStoreId() != null){
            return this.tabCustomStoreMapper.updateByPrimaryKeySelective(tabCustomStore);
        }
        tabCustomStore.setCreateTime(new Date());
        return this.tabCustomStoreMapper.insertSelective(tabCustomStore);
    }

    @Override
    public TabCustomStore getCustomStore(Integer customStoreId) {
        return this.tabCustomStoreMapper.selectByPrimaryKey(customStoreId);
    }

    @Override
    public Page<TabCustomStore> pageCustomStore(String search, Integer enterpriseId, String appid) {
        return this.tabCustomStoreMapper.pageCustomStore(enterpriseId, appid, search);
    }

    @Override
    public int deleteCustomStore(Integer customStoreId) {
        TabCustomStore store = new TabCustomStore();
        store.setCustomStoreId(customStoreId);
        store.setStatus(0);
        return this.tabCustomStoreMapper.updateByPrimaryKeySelective(store);
    }

    @Override
    public int closeCustomStore(Integer enterpriseId, String appid) {
        return this.tabCustomStoreMapper.closeCustomStore(enterpriseId, appid);
    }

    @Override
    public int openCustomStore(Integer customStoreId) {
        TabCustomStore store = new TabCustomStore();
        store.setCustomStoreId(customStoreId);
        store.setStatus(1);
        return this.tabCustomStoreMapper.updateByPrimaryKeySelective(store);
    }

    @Override
    public int closeCustomStore(Integer customStoreId) {
        TabCustomStore store = new TabCustomStore();
        store.setCustomStoreId(customStoreId);
        store.setStatus(2);
        return this.tabCustomStoreMapper.updateByPrimaryKeySelective(store);
    }


    @Override
    public TabCustomStore getCustomStore(Integer enterpriseId, String appid) {
        List<TabCustomStore> list = this.tabCustomStoreMapper.getCustomStore(enterpriseId, appid);
        if(CollectionUtils.isNotEmpty(list)){
            return list.get(0);
        }
        return null;
    }
}
