package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabCustomUdeskFieldMapper;
import com.gic.enterprise.entity.TabCustomUdeskField;
import com.gic.enterprise.service.CustomUdeskFieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("customUdeskFieldService")
public class CustomUdeskFiledServiceImpl implements CustomUdeskFieldService {
    @Autowired
    private TabCustomUdeskFieldMapper tabCustomUdeskFieldMapper;

    @Override
    public List<TabCustomUdeskField> listEnterpriseField(Integer enterpriseId) {
        return this.tabCustomUdeskFieldMapper.listEnterpriseField(enterpriseId);
    }

    @Override
    public int saveEnterpriseField(TabCustomUdeskField field) {
        field.setUpdateTime(new Date());
        if(field.getId() != null){
            return this.tabCustomUdeskFieldMapper.updateByPrimaryKey(field);
        }
        field.setCreateTime(new Date());
        return this.tabCustomUdeskFieldMapper.insertSelective(field);
    }

    @Override
    public TabCustomUdeskField getDetail(Integer fieldId) {
        TabCustomUdeskField tabCustomUdeskField = this.tabCustomUdeskFieldMapper.selectByPrimaryKey(fieldId);
        return tabCustomUdeskField;
    }

    @Override
    public int deleteFiled(Integer fieldId) {
        TabCustomUdeskField field = new TabCustomUdeskField();
        field.setId(fieldId);
        field.setStatus(0);
        return this.tabCustomUdeskFieldMapper.updateByPrimaryKeySelective(field);
    }

    @Override
    public int updateStatus(Integer id, Integer status) {
        TabCustomUdeskField field = new TabCustomUdeskField();
        field.setId(id);
        field.setStatus(status);
        return this.tabCustomUdeskFieldMapper.updateByPrimaryKeySelective(field);
    }
}
