package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataActuallyPaidConfigMapper;
import com.gic.enterprise.dto.data.DataActuallyPaidConfigDTO;
import com.gic.enterprise.entity.TabDataActuallyPaidConfig;
import com.gic.enterprise.service.DataActuallyPaidConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("dataActuallyPaidConfigService")
public class DataActuallyPaidConfigServiceImpl implements DataActuallyPaidConfigService{
    @Autowired
    private TabDataActuallyPaidConfigMapper tabDataActuallyPaidConfigMapper;

    @Override
    public Integer saveActuallyPaidConfig(DataActuallyPaidConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabDataActuallyPaidConfig record = EntityUtil.changeEntityNew(TabDataActuallyPaidConfig.class, dto);
        tabDataActuallyPaidConfigMapper.insert(record);
        return record.getActuallyPaidConfigId();
    }

    @Override
    public List<TabDataActuallyPaidConfig> listByEnterpriseId(Integer enterpriseId) {
        return tabDataActuallyPaidConfigMapper.listByEnterpriseId(enterpriseId);
    }

    @Override
    public int delete(Integer enterpriseId, Integer classify) {
        return tabDataActuallyPaidConfigMapper.delete(enterpriseId, classify);
    }
}
