package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataGenerationConfigMapper;
import com.gic.enterprise.dto.data.DataGenerationConfigDTO;
import com.gic.enterprise.entity.TabDataGenerationConfig;
import com.gic.enterprise.service.DataGenerationConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("dataGenerationConfigService")
public class DataGenerationConfigServiceImpl implements DataGenerationConfigService{
    @Autowired
    private TabDataGenerationConfigMapper tabDataGenerationConfigMapper;

    @Override
    public void saveGenerationConfig(DataGenerationConfigDTO dto) {
        Date now = new Date();
        dto.setUpdateTime(now);
        dto.setCreateTime(now);
        dto.setStatus(1);
        TabDataGenerationConfig record = EntityUtil.changeEntityNew(TabDataGenerationConfig.class, dto);
        tabDataGenerationConfigMapper.insert(record);
    }

    @Override
    public void deleteGenerationConfig(Integer enterpriseId) {
        tabDataGenerationConfigMapper.deleteGenerationConfig(enterpriseId);
    }

    @Override
    public List<TabDataGenerationConfig> listGenerationByEnterpriseId(Integer enterpriseId) {
        return tabDataGenerationConfigMapper.listGenerationByEnterpriseId(enterpriseId);
    }
}
