package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataMemberConsumeConfigMapper;
import com.gic.enterprise.dto.data.DataMemberConsumeConfigDTO;
import com.gic.enterprise.entity.TabDataMemberConsumeConfig;
import com.gic.enterprise.service.DataMemberConsumeConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("dataMemberConsumeConfigService")
public class DataMemberConsumeConfigServiceImpl implements DataMemberConsumeConfigService{
    @Autowired
    private TabDataMemberConsumeConfigMapper tabDataMemberConsumeConfigMapper;

    @Override
    public Integer saveMemberConsumeConfig(DataMemberConsumeConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabDataMemberConsumeConfig record = EntityUtil.changeEntityNew(TabDataMemberConsumeConfig.class, dto);
        tabDataMemberConsumeConfigMapper.insertSelective(record);
        return record.getMemberConsumeConfigId();
    }

    @Override
    public void editMemberConsumeConfig(DataMemberConsumeConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabDataMemberConsumeConfig record = EntityUtil.changeEntityNew(TabDataMemberConsumeConfig.class, dto);
        tabDataMemberConsumeConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabDataMemberConsumeConfig getByEnterpriseId(Integer enterpriseId) {
        return tabDataMemberConsumeConfigMapper.getByEnterpriseId(enterpriseId);
    }
}
