package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataWechatMemberConfigMapper;
import com.gic.enterprise.dto.data.DataWechatMemberConfigDTO;
import com.gic.enterprise.entity.TabDataWechatMemberConfig;
import com.gic.enterprise.service.DataWechatMemberConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("dataWechatMemberConfigService")
public class DataWechatMemberConfigServiceImpl implements DataWechatMemberConfigService{
    @Autowired
    private TabDataWechatMemberConfigMapper tabDataWechatMemberConfigMapper;

    @Override
    public Integer saveWechatMemberConfig(DataWechatMemberConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabDataWechatMemberConfig record = EntityUtil.changeEntityNew(TabDataWechatMemberConfig.class, dto);
        tabDataWechatMemberConfigMapper.insert(record);
        return record.getWechatMemberConfigId();
    }

    @Override
    public TabDataWechatMemberConfig getByMemberCardId(Integer enterpriseId, String memberCardId) {
        return tabDataWechatMemberConfigMapper.getByMemberCardId(enterpriseId, memberCardId);
    }

    @Override
    public List<TabDataWechatMemberConfig> listByEnterpriseId(Integer enterpriseId) {
        return tabDataWechatMemberConfigMapper.listByEnterpriseId(enterpriseId);
    }
}
