package com.gic.enterprise.service.impl;

import com.gic.enterprise.constant.Constants;
import com.gic.enterprise.dao.mapper.TabHelpCenterMapper;
import com.gic.enterprise.entity.TabHelpCenter;
import com.gic.enterprise.service.HelpCenterService;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("helpCenterService")
public class HelpCenterServiceImpl implements HelpCenterService {
    @Autowired
    private TabHelpCenterMapper tabHelpCenterMapper;

    @Override
    public Page<TabHelpCenter> pageHelpCenter(String search, Integer mode, Integer isShow) {
        return this.tabHelpCenterMapper.pageHelpCenter(search, mode, null);
    }

    @Override
    public Integer saveHelpCenter(TabHelpCenter helpCenter) {
        helpCenter.setUpdateTime(new Date());
        if(helpCenter.getHelpId() == null){
            helpCenter.setCreateTime(new Date());
            return this.tabHelpCenterMapper.insertSelective(helpCenter);
        }
        return this.tabHelpCenterMapper.updateByPrimaryKeySelective(helpCenter);
    }

    @Override
    public Integer delHelpCenter(Integer helpId) {
        TabHelpCenter helpCenter = new TabHelpCenter();
        helpCenter.setHelpId(helpId);
        helpCenter.setStatus(com.gic.enterprise.constants.Constants.DEL_STATUS);
        return this.tabHelpCenterMapper.updateByPrimaryKeySelective(helpCenter);
    }

    @Override
    public TabHelpCenter getHelpCenterById(Integer helpId) {
        return this.tabHelpCenterMapper.selectByPrimaryKey(helpId);
    }

    @Override
    public List<TabHelpCenter> listHelpCenter() {
        return this.tabHelpCenterMapper.list();
    }

    @Override
    public Integer countHelpCenterByIsShow() {
        return listHelpCenter().size();
    }
}
