package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabIndexModuleEnterpriseMapper;
import com.gic.enterprise.entity.TabIndexModuleEnterprise;
import com.gic.enterprise.service.IndexModuleEnterpriseService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-13 16:37
 */
@Service
public class IndexModuleEnterpriseServiceImpl implements IndexModuleEnterpriseService {
    @Autowired
    private TabIndexModuleEnterpriseMapper tabIndexModuleEnterpriseMapper;

    @Override
    public void save(Integer indexModuleId, List<Integer> enterpriseIdList) {
        if (CollectionUtils.isEmpty(enterpriseIdList)) {
            return;
        }
        // 把所有auditedGroup的关联status设置为0
        tabIndexModuleEnterpriseMapper.delByIndexModuleId(indexModuleId);
        // 插入不存在的关联
        for (Integer enterpriseId : enterpriseIdList) {
            TabIndexModuleEnterprise indexModuleEnterprise = new TabIndexModuleEnterprise();
            indexModuleEnterprise.setIndexModuleId(indexModuleId);
            indexModuleEnterprise.setEnterpriseId(enterpriseId);
            indexModuleEnterprise.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
            indexModuleEnterprise.setCreateTime(new Date());
            tabIndexModuleEnterpriseMapper.insertSelectiveByNotExist(indexModuleEnterprise);
        }
        // 把所有userId关联status都设置为1
        tabIndexModuleEnterpriseMapper.updateStatusByEnterpriseId(indexModuleId, enterpriseIdList);
    }

    @Override
    public List<TabIndexModuleEnterprise> listIndexModuleEnterprise(Integer indexModuleId) {
        return tabIndexModuleEnterpriseMapper.listIndexModuleEnterprise(indexModuleId);
    }
}
