package com.gic.enterprise.service.impl;

import com.gic.enterprise.constants.Constants;
import com.gic.enterprise.dao.mapper.TabLinkSceneMapper;
import com.gic.enterprise.entity.TabLinkScene;
import com.gic.enterprise.service.LinkSceneService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 17:14
 */
@Service
public class LinkSceneServiceImpl implements LinkSceneService {

    @Autowired
    private TabLinkSceneMapper tabLinkSceneMapper;

    @Override
    public List<Integer> listByLinkId(Integer linkId) {
        return tabLinkSceneMapper.listByLinkId(linkId);
    }

    @Override
    public void editLinkEnterprise(Integer linkId, List<Integer> enterpriseIdList) {
        // 把所有关联status设置为0
        tabLinkSceneMapper.delByLinkEnterprise(linkId);
        // 插入不存在的关联
        if (CollectionUtils.isNotEmpty(enterpriseIdList)) {
            for (Integer enterpriseId : enterpriseIdList) {
                TabLinkScene linkScene = new TabLinkScene();
                linkScene.setLinkId(linkId);
                linkScene.setEnterpriseId(enterpriseId);
                linkScene.setCreateTime(new Date());
                linkScene.setStatus(Constants.NORMAL_STATUS);
                tabLinkSceneMapper.insertSelectiveByNotExist(linkScene);
            }
            // 把所有关联status都设置为1
            tabLinkSceneMapper.updateStatusByEnterpriseId(linkId, enterpriseIdList);
        }
    }

    @Override
    public void delRelByLinkIdList(List<Integer> linkIdList) {
        tabLinkSceneMapper.delByLinkIdList(linkIdList);
    }
}
