package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabPlatformBrandRefMapper;
import com.gic.enterprise.dto.PlatformBrandRefDTO;
import com.gic.enterprise.entity.TabPlatformBrandRef;
import com.gic.enterprise.service.PlatformBrandRefService;
import com.github.pagehelper.Page;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class PlatformBrandRefServiceImpl implements PlatformBrandRefService {

    @Autowired
    private TabPlatformBrandRefMapper tabPlatformBrandRefMapper;

    @Override
    public Integer countByPlatformBrandId(Integer platformBrandId) {
        return tabPlatformBrandRefMapper.countByPlatformBrandId(platformBrandId);
    }

    @Override
    public Map<Integer, Integer> countByPlatformBrandIds(List<Integer> platformBrandIdList) {
        if (CollectionUtils.isNotEmpty(platformBrandIdList)) {
            //
            Map<Integer, Integer> map = new HashMap<>();
            List<Map<String, Object>> list = tabPlatformBrandRefMapper.countByPlatformBrandIds(platformBrandIdList);
            for (Map<String, Object> integerIntegerMap : list) {
                Object platformBrandId = integerIntegerMap.get("platformBrandId");
                Object brandCount = integerIntegerMap.get("brandCount");
                if (platformBrandId != null && brandCount != null) {
                    map.put(Integer.valueOf(integerIntegerMap.get("platformBrandId").toString()), Integer.valueOf(integerIntegerMap.get("brandCount").toString()));
                }
            }
            return map;
        } else {
            return Collections.emptyMap();
        }
    }

    @Override
    public Integer save(PlatformBrandRefDTO platformBrandRefDTO) {
        TabPlatformBrandRef platformBrandRef = new TabPlatformBrandRef();
        platformBrandRef.setPlatformBrandId(platformBrandRefDTO.getPlatformBrandId());
        platformBrandRef.setEnterpriseId(platformBrandRefDTO.getEnterpriseId());
        platformBrandRef.setEnterpriseBrandId(platformBrandRefDTO.getEnterpriseBrandId());
        platformBrandRef.setEnterpriseBrandName(platformBrandRefDTO.getEnterpriseBrandName());
        platformBrandRef.setGoodsBrandName(platformBrandRefDTO.getGoodsBrandName());
        platformBrandRef.setEnterpriseBrandCode(platformBrandRefDTO.getEnterpriseBrandCode());
        platformBrandRef.setCreateTime(new Date());
        platformBrandRef.setType(platformBrandRefDTO.getType());
        platformBrandRef.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        tabPlatformBrandRefMapper.insertSelective(platformBrandRef);
        return platformBrandRef.getPlatformBrandId();
    }

    @Override
    public Integer delRef(Integer enterpriseId, Long enterpriseBrandId) {
        return tabPlatformBrandRefMapper.delRef(enterpriseId, enterpriseBrandId);
    }

    @Override
    public Integer delRef(Integer enterpriseId, List<Long> enterpriseBrandIds) {
        return tabPlatformBrandRefMapper.delRefs(enterpriseId, enterpriseBrandIds);
    }

    @Override
    public Page<TabPlatformBrandRef> listByPlatformBrandRef(Integer platformBrandId) {
        TabPlatformBrandRef brandRef = new TabPlatformBrandRef();
        brandRef.setPlatformBrandId(platformBrandId);
        return tabPlatformBrandRefMapper.listByPlatformBrandRef(brandRef);
    }

    @Override
    public Integer updateRef(Integer fromBrandId, Integer toBrandId) {
        return tabPlatformBrandRefMapper.updateRef(fromBrandId, toBrandId);
    }

    @Override
    public Integer updateRefs(List<Integer> fromBrandIds, Integer platformBrandId) {
        return tabPlatformBrandRefMapper.updateRefs(fromBrandIds, platformBrandId);
    }

}
