package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabPushMessageMapper;
import com.gic.enterprise.dto.UserMessageDTO;
import com.gic.enterprise.entity.TabPushClassify;
import com.gic.enterprise.entity.TabPushMessage;
import com.gic.enterprise.service.PushMessageService;
import com.gic.enterprise.service.PushTypeService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("pushMessageService")
public class PushMessageServiceImpl implements PushMessageService {
    @Autowired
    private TabPushMessageMapper tabPushMessageMapper;
    @Autowired
    private PushTypeService pushTypeService;

    @Override
    public int savePushMesasge(TabPushMessage tabPushMessage) {
        tabPushMessage.setUpdateTime(new Date());
        if(tabPushMessage.getMessageId() != null){
            return this.tabPushMessageMapper.updateByPrimaryKeySelective(tabPushMessage);
        }
        tabPushMessage.setCreateTime(new Date());
        return this.tabPushMessageMapper.insertSelective(tabPushMessage);
    }

    @Override
    public TabPushMessage getById(Integer id) {
        return this.tabPushMessageMapper.selectByPrimaryKey(id);
    }

    @Override
    public int delete(Integer id) {
        TabPushMessage tabPushMessage = new TabPushMessage();
        tabPushMessage.setMessageId(id);
        tabPushMessage.setStatus(0);
        return this.tabPushMessageMapper.updateByPrimaryKeySelective(tabPushMessage);
    }

    @Override
    public Page<TabPushMessage> pagePushMesage(String search, Integer pushStatus, Date startTime, Date endTime,
                                               Integer pushClassifyId) {
        return this.tabPushMessageMapper.pagePushMesage(search, pushStatus, startTime, endTime, pushClassifyId);
    }

    @Override
    public Page<UserMessageDTO> pageUserMessage(String search, Integer status, Date startTime, Date endTime,
                                                Integer pushClassifyId, Integer userId, Integer pageNum, Integer pageSize) {
        TabPushClassify byId = this.pushTypeService.getById(pushClassifyId);
        PageHelper.startPage(pageNum, pageSize);
        return this.tabPushMessageMapper.pageUserMessage(search, status, startTime, endTime, byId == null ? null : byId.getClassifyName(), userId);
    }

    @Override
    public int readCount(Integer messageId) {
        return this.tabPushMessageMapper.readCount(messageId);
    }
}
