package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabPushUserMessageMapper;
import com.gic.enterprise.entity.TabPushClassify;
import com.gic.enterprise.entity.TabPushUserMessage;
import com.gic.enterprise.service.PushTypeService;
import com.gic.enterprise.service.PushUserMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("pushUserMessageService")
public class PushUserMessageServiceImpl implements PushUserMessageService {
    @Autowired
    private TabPushUserMessageMapper tabPushUserMessageMapper;
    @Autowired
    private PushTypeService pushTypeService;

    @Override
    public int save(Integer enterpriseId, Integer userId, Integer messageId, String classify, String title, String content) {
        TabPushUserMessage tab = new TabPushUserMessage();
        tab.setCreateTime(new Date());
        tab.setEnterpriseId(enterpriseId);
        tab.setUserId(userId);
        tab.setMessageId(messageId);
        tab.setStatus(1);
        tab.setUpdateTime(new Date());
        tab.setTitle(title);
        tab.setContent(content);
        tab.setClassify(classify);
        return this.tabPushUserMessageMapper.insert(tab);
    }

    @Override
    public int reCallMessage(Integer messageId) {
        return this.tabPushUserMessageMapper.recallMessage(messageId);
    }

    @Override
    public int totalUserMessage(Integer userId, String search, Integer status,
                                Date startTime, Date endTime, Integer pushClassifyId) {
        TabPushClassify byId = this.pushTypeService.getById(pushClassifyId);
        List<Integer> list = this.tabPushUserMessageMapper.totalUserMessage(search, status, startTime, endTime, byId == null ? null : byId.getClassifyName(), userId);
        return list.get(0);
    }

    @Override
    public int readAll(Integer userId) {
        return this.tabPushUserMessageMapper.readAll(userId);
    }

    @Override
    public int readMessage(Integer messageId) {
        return this.tabPushUserMessageMapper.readMessage(messageId);
    }

    @Override
    public TabPushUserMessage getById(Integer id) {
        return this.tabPushUserMessageMapper.selectByPrimaryKey(id);
    }
}
