package com.gic.enterprise.service.impl;

import com.gic.enterprise.constant.Constants;
import com.gic.enterprise.dao.mapper.TabQrcodeDownloadMapper;
import com.gic.enterprise.dao.mapper.TabQrcodeScenesClassifyMapper;
import com.gic.enterprise.dao.mapper.TabQrcodeScenesMapper;
import com.gic.enterprise.dao.mapper.TabQrcodeScenesValueMapper;
import com.gic.enterprise.dto.QrcodeScenesDTO;
import com.gic.enterprise.entity.TabQrcodeDownload;
import com.gic.enterprise.entity.TabQrcodeScenes;
import com.gic.enterprise.entity.TabQrcodeScenesClassify;
import com.gic.enterprise.entity.TabQrcodeScenesValue;
import com.gic.enterprise.service.QrCodeService;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("qrCodeService")
public class QrCodeServiceImpl implements QrCodeService {
    @Autowired
    private TabQrcodeScenesClassifyMapper tabQrcodeScenesClassifyMapper;
    @Autowired
    private TabQrcodeScenesMapper tabQrcodeScenesMapper;
    @Autowired
    private TabQrcodeScenesValueMapper tabQrcodeScenesValueMapper;
    @Autowired
    private TabQrcodeDownloadMapper tabQrcodeDownloadMapper;

    @Override
    public int saveQrCodeClassify(TabQrcodeScenesClassify classify) {
        classify.setUpdateTime(new Date());
        if(classify.getId() == null){
            classify.setCreateTime(new Date());
            return this.tabQrcodeScenesClassifyMapper.insert(classify);
        }else {
            return this.tabQrcodeScenesClassifyMapper.updateByPrimaryKeySelective(classify);
        }
    }

    @Override
    public List<TabQrcodeScenesClassify> listQrcodeClassify(Integer enterpriseId, String search) {
        return this.tabQrcodeScenesClassifyMapper.listQrCodeScenesClassify(enterpriseId, search);
    }

    @Override
    public TabQrcodeScenesClassify getQrCodeScenesClassifyById(Integer classifyId) {
        return this.tabQrcodeScenesClassifyMapper.selectByPrimaryKey(classifyId);
    }

    @Override
    public List<TabQrcodeScenesClassify> listQrcodeScenesClassifyByName(Integer enterpriseId, String name) {
        return this.tabQrcodeScenesClassifyMapper.listByName(enterpriseId, name);
    }

    @Override
    public int deleteQrcodeScenesClassify(Integer id) {
        TabQrcodeScenesClassify tab = new TabQrcodeScenesClassify();
        tab.setId(id);
        tab.setStatus(com.gic.enterprise.constants.Constants.DEL_STATUS);
        return this.tabQrcodeScenesClassifyMapper.updateByPrimaryKeySelective(tab);
    }

    @Override
    public int saveQrCodeScenes(TabQrcodeScenes qrcodeScenes) {
        qrcodeScenes.setUpdateTime(new Date());
        if(qrcodeScenes.getScenesId() != null){
            return this.tabQrcodeScenesMapper.updateByPrimaryKeySelective(qrcodeScenes);
        }
        qrcodeScenes.setCreateTime(new Date());
        return this.tabQrcodeScenesMapper.insert(qrcodeScenes);
    }

    @Override
    public List<TabQrcodeScenes> listQrcodeScenesByName(Integer enterpriseId, String name) {
        return this.tabQrcodeScenesMapper.listQrcodeScenesByName(enterpriseId, name);
    }

    @Override
    public Page<QrcodeScenesDTO> listQrCodeScenes(String search, Integer classifyId, Integer enterpriseId) {
        return this.tabQrcodeScenesMapper.listQrCodeScenes(search, classifyId, enterpriseId);
    }

    @Override
    public TabQrcodeScenes getQrcodeScenesById(Integer scenesId) {
        return this.tabQrcodeScenesMapper.selectByPrimaryKey(scenesId);
    }

    @Override
    public int updateQrCodeScenesStatus(Integer scenesId, int status) {
        return this.tabQrcodeScenesMapper.updateScenesStatus(scenesId, status);
    }

    @Override
    public int saveQrcodeScenesValue(TabQrcodeScenesValue tabQrcodeScenesValue) {
        tabQrcodeScenesValue.setUpdateTime(new Date());
        tabQrcodeScenesValue.setStatus(1);
        if(tabQrcodeScenesValue.getValueId() != null){
            return this.tabQrcodeScenesValueMapper.updateByPrimaryKeySelective(tabQrcodeScenesValue);
        }
        tabQrcodeScenesValue.setCreateTime(new Date());
        return this.tabQrcodeScenesValueMapper.insert(tabQrcodeScenesValue);
    }

    @Override
    public Page<TabQrcodeScenesValue> listQrCodeScenesValue(Integer enterpriseId, Integer scenesId, String search) {
        return this.tabQrcodeScenesValueMapper.listQrcodeScenesValue(enterpriseId, scenesId, search);
    }

    @Override
    public int deleteQrcodeScenesValue(Integer valueId) {
        TabQrcodeScenesValue tab = new TabQrcodeScenesValue();
        tab.setValueId(valueId);
        tab.setStatus(com.gic.enterprise.constants.Constants.DEL_STATUS);
        return this.tabQrcodeScenesValueMapper.updateByPrimaryKeySelective(tab);
    }

    @Override
    public int saveQrcodeDownload(TabQrcodeDownload qrcodeDownload) {
        qrcodeDownload.setCreateTime(new Date());
        qrcodeDownload.setUpdateTime(new Date());
        qrcodeDownload.setStatus(1);
        this.tabQrcodeDownloadMapper.insertSelective(qrcodeDownload);
        return qrcodeDownload.getId();
    }

    @Override
    public TabQrcodeDownload getQrcodeDownload(Integer id) {
        TabQrcodeDownload tabQrcodeDownload = this.tabQrcodeDownloadMapper.selectByPrimaryKey(id);
        return tabQrcodeDownload;
    }
}
