package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabTodoItemMapper;
import com.gic.enterprise.dto.TodoItemDTO;
import com.gic.enterprise.entity.TabTodoItem;
import com.gic.enterprise.qo.TodoItemQO;
import com.gic.enterprise.service.TodoItemService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 17:21
 */
@Service
public class TodoItemServiceImpl implements TodoItemService {

    @Autowired
    private TabTodoItemMapper tabTodoItemMapper;

    @Override
    public void save(TodoItemDTO todoItemDTO) {
        TabTodoItem tabTodoItem = EntityUtil.changeEntityByJSON(TabTodoItem.class, todoItemDTO);
        tabTodoItem.setFinish(0);
        tabTodoItem.setCreateTime(new Date());
        tabTodoItem.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        tabTodoItemMapper.insertSelective(tabTodoItem);
    }

    @Override
    public TabTodoItem getByItemInfoUrl(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl) {
        return tabTodoItemMapper.getBySelective(enterpriseId, userId, itemType, itemInfoUrl);
    }

    @Override
    public int finishTodoItem(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl) {
        return tabTodoItemMapper.finishTodoItem(enterpriseId, userId, itemType, itemInfoUrl);
    }

    @Override
    public Page<TabTodoItem> listTodoItem(TodoItemQO todoItemQO) {
        PageHelper.startPage(todoItemQO.getCurrentPage(), todoItemQO.getPageSize());
        return tabTodoItemMapper.listTodoItem(todoItemQO);
    }

    @Override
    public Integer getUnFinishCount(TodoItemQO todoItemQO) {
        return tabTodoItemMapper.getUnFinishCount(todoItemQO);
    }

    @Override
    public TabTodoItem getById(Integer todoItemId) {
        return tabTodoItemMapper.selectByPrimaryKey(todoItemId);
    }
}
