package com.gic.enterprise.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.enterprise.dao.mapper.TabWmStoreSyncLogMapper;
import com.gic.enterprise.entity.TabWmStoreSyncLog;
import com.gic.enterprise.service.WmStoreSyncLogService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;

@Service("wmStoreSyncLogService")
public class WmStoreSyncLogServiceImpl implements WmStoreSyncLogService {
    @Autowired
    private TabWmStoreSyncLogMapper tabWmStoreSyncLogMapper;

    @Override
    public void saveWmStoreSyncLog(Integer storeId, Integer wmMallStoreId, Integer type,
            Integer enterpriseId, String storeCode, String storeName) {
        Date now = new Date();
        TabWmStoreSyncLog record = new TabWmStoreSyncLog()
                .setStoreId(storeId)
                .setEnterpriseId(enterpriseId)
                .setStatus(1)
                .setStoreCode(storeCode)
                .setWmMallStoreId(wmMallStoreId)
                .setStoreName(storeName)
                .setStoreType(type)
                .setCreateTime(now)
                .setUpdateTime(now);
        tabWmStoreSyncLogMapper.insert(record);
    }

    @Override
    public Page<TabWmStoreSyncLog> pageWmStoreSyncLog(String search, Integer type,
            Integer wmMallStoreId, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<TabWmStoreSyncLog> list = tabWmStoreSyncLogMapper.pageWmStoreSyncLog(search, type, wmMallStoreId);
        return (Page<TabWmStoreSyncLog>) list;
    }

    @Override
    public List<TabWmStoreSyncLog> getStoreList(List<Integer> type, Integer wmMallStoreId) {
        return tabWmStoreSyncLogMapper.getStoreList(type, wmMallStoreId);
    }

    @Override
    public int deleteLogic(Integer storeId, Integer wmMallStoreId) {
        return tabWmStoreSyncLogMapper.deleteLogic(storeId, wmMallStoreId);
    }

    @Override
    public List<TabWmStoreSyncLog> listByStoreId(Integer storeId, Integer enterpriseId) {
        return tabWmStoreSyncLogMapper.listByStoreId(storeId, enterpriseId);
    }

    @Override
    public List<TabWmStoreSyncLog> listByStoreId(List<Integer> storeIdList, Integer wmMallStoreId) {
        return tabWmStoreSyncLogMapper.listByStoreIdList(storeIdList, wmMallStoreId);
    }
}
