package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.BillingCouponCardDTO;
import com.gic.enterprise.entity.TabBillingCouponCard;
import com.gic.enterprise.service.BillingCouponCardApiService;
import com.gic.enterprise.service.BillingCouponCardService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 
 * @ClassName: BillingCouponCardApiServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2019/8/14 18:10
 */
@Service("billingCouponCardApiService")
public class BillingCouponCardApiServiceImpl implements BillingCouponCardApiService {

    @Autowired
    private BillingCouponCardService billingCouponCardService;

    @Override
    public ServiceResponse<Page<BillingCouponCardDTO>> pageBillingCouponCard(Integer enterpriseId, String startTime, String endTime, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        com.github.pagehelper.Page<TabBillingCouponCard> page = billingCouponCardService.pageBillingCouponCard(enterpriseId, startTime, endTime);
        Page<BillingCouponCardDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, BillingCouponCardDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<List<BillingCouponCardDTO>> listBillingCouponCardEnable(Integer enterpriseId, Integer applicableProductCode) {
        List<TabBillingCouponCard> list = this.billingCouponCardService.listCoupCardEnabled(enterpriseId, applicableProductCode);
        return ServiceResponse.success(EntityUtil.changeEntityListByJSON(BillingCouponCardDTO.class, list));
    }

    @Override
    public ServiceResponse<BillingCouponCardDTO> getBillingCouponCard(Integer couponCardId) {
        TabBillingCouponCard tabBillingCouponCard = this.billingCouponCardService.getCoupCardDetail(couponCardId);
        return ServiceResponse.success(EntityUtil.changeEntityByJSON(BillingCouponCardDTO.class, tabBillingCouponCard));
    }

    @Override
    public ServiceResponse<Integer> countCoupon(Integer enterpriseId) {
        return ServiceResponse.success(billingCouponCardService.countCoupon(enterpriseId));
    }
}
