package com.gic.enterprise.service.outer.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.service.AuditorApiService;
import com.gic.enterprise.service.CallBackApiService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-23 10:29
 */
@Service("callBackApiService")
public class CallBackApiServiceImpl implements CallBackApiService {
    private Logger logger = LogManager.getLogger(CallBackApiServiceImpl.class);
    @Autowired
    private AuditorApiService auditorApiService;

    @Override
    public ServiceResponse<Void> weChatCallBack(String params, String openid, Integer type) {
        logger.info("params:{}, openid:{}, type:{}", params, openid, type);
        if (type == 1) {
            return auditorApiService.receiveOpenid(params, openid);
        }
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> weChatCallBack(String json) {
        logger.info("回调：{}", json);
        JSONObject jsonObject = JSON.parseObject(json);
        if (jsonObject.getInteger("type") == 1) {
            return auditorApiService.receiveOpenid(jsonObject.getString("params"), jsonObject.getString("openid"));
        }
        return ServiceResponse.success();
    }
}
