package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.HelpCenterDTO;
import com.gic.enterprise.entity.TabHelpCenter;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.service.HelpCenterApiService;
import com.gic.enterprise.service.HelpCenterService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("helpCenterApiService")
public class HelpCenterApiServiceImpl implements HelpCenterApiService {
    @Autowired
    private HelpCenterService helpCenterService;

    @Override
    public ServiceResponse<Page<HelpCenterDTO>> pageHelpCenter(String search, Integer mode, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        com.github.pagehelper.Page<TabHelpCenter> page = this.helpCenterService.pageHelpCenter(search, mode, null);
        Page<HelpCenterDTO> helpCenterDTOPage = PageHelperUtils.changePageHelperToCurrentPage(page, HelpCenterDTO.class);
        return ServiceResponse.success(helpCenterDTOPage);
    }

    @Override
    public ServiceResponse<Integer> saveHelpCenter(HelpCenterDTO helpCenterDTO) {
        TabHelpCenter tabHelpCenter = EntityUtil.changeEntityByJSON(TabHelpCenter.class, helpCenterDTO);
        com.github.pagehelper.Page<TabHelpCenter> page = this.helpCenterService.pageHelpCenter(null, null, 1);
        if(page.getTotal() >5){
            tabHelpCenter.setIsShow(0);
        }else if(page.getTotal() == 5){
            if(tabHelpCenter.getHelpId() == null){
                tabHelpCenter.setIsShow(0);
            }
        }
        if(tabHelpCenter.getIsShow() == 1){
            Integer integer = this.helpCenterService.countHelpCenterByIsShow();
            if(integer >=5){
                return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "显示数量超过5个了");
            }
        }
        Integer i = this.helpCenterService.saveHelpCenter(tabHelpCenter);
        return ServiceResponse.success(i);
    }

    @Override
    public ServiceResponse<Integer> delHelpCenter(Integer helpId) {
        Integer integer = this.helpCenterService.delHelpCenter(helpId);
        return ServiceResponse.success(integer);
    }

    @Override
    public ServiceResponse<HelpCenterDTO> getHelpCenterById(Integer helpId) {
        TabHelpCenter center = this.helpCenterService.getHelpCenterById(helpId);
        return ServiceResponse.success(EntityUtil.changeEntityByJSON(HelpCenterDTO.class, center));
    }

    @Override
    public ServiceResponse<List<HelpCenterDTO>> listHelpCenter() {
        List<TabHelpCenter> list = this.helpCenterService.listHelpCenter();
        return ServiceResponse.success(EntityUtil.changeEntityListByJSON(HelpCenterDTO.class, list));
    }
}
