package com.gic.enterprise.utils.chart;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;

import java.util.List;
/**
 * 图表接口
 * @ClassName: IFeeChart 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:03 PM 
 */
public interface IFeeChart {
    /**
     * 趋势分析图
     * @Title: listHomeStatistics 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.dto.HomeStatisticsDTO> 
      */
    List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params);

    /**
     * 获取本月或者上月消费金额
     * @Title: getFee 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param dateType 
     * @return  double 
      */
    double getFee(Integer enterpriseId, Integer dateType);
}
