package com.gic.enterprise.web.controller;

import com.alibaba.fastjson.JSON;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.AppletDataAssetAreaDTO;
import com.gic.enterprise.dto.AppletDecorationConfigDTO;
import com.gic.enterprise.service.AppletDecorationConfigApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
import com.gic.enterprise.web.vo.AppletCardRealtionVO;
import com.gic.enterprise.web.vo.AppletSubCardVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/applet-decoration-config")
public class AppletDecorationConfigController {

    @Autowired
    private AppletDecorationConfigApiService appletDecorationConfigApiService;

    @RequestMapping("/save")
    public RestResponse save(AppletDecorationConfigDTO dto, String dataAreaJson) {
        AppletDataAssetAreaDTO dataAssetAreaDTO = JSON.parseObject(dataAreaJson, AppletDataAssetAreaDTO.class);
        dto.setAppletDataAssetArea(dataAssetAreaDTO);
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.save(dto));
    }

    @RequestMapping("/edit")
    public RestResponse edit(AppletDecorationConfigDTO dto, String dataAreaJson) {
        AppletDataAssetAreaDTO dataAssetAreaDTO = JSON.parseObject(dataAreaJson, AppletDataAssetAreaDTO.class);
        dto.setAppletDataAssetArea(dataAssetAreaDTO);
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.edit(dto));
    }

    @RequestMapping("/get-detail")
    public RestResponse getDetail(String appId) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.getDetailByAppId(appId,
                UserDetailUtils.getUserDetail().getEnterpriseId()));
    }

    @RequestMapping("/list-applet-card")
    public RestResponse listAppletCard(String appId) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.listAppletCard(appId,
                UserDetailUtils.getUserDetail().getEnterpriseId()), AppletCardRealtionVO.class);
    }

    @RequestMapping("/list-applet-card-of-total-integral")
    public RestResponse listAppletCardOfTotalIntegral(String appId) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.listAppletCardOfTotalIntegral(appId,
                UserDetailUtils.getUserDetail().getEnterpriseId()), AppletCardRealtionVO.class);
    }

    @RequestMapping("/list-applet-card-by-card-id")
    public RestResponse listAppletCardOfTotalIntegral(String appId, String cardId) {
        return ResultControllerUtils.commonResult(appletDecorationConfigApiService.listAppletCardByCardId(cardId, appId,
                UserDetailUtils.getUserDetail().getEnterpriseId()), AppletSubCardVO.class);
    }
}
