package com.gic.enterprise.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.RefundDTO;
import com.gic.enterprise.qo.RefundQO;
import com.gic.enterprise.service.BillingRefundApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-04 16:04
 */
@RestController
public class BillingRefundController {

    @Autowired
    private BillingRefundApiService billingRefundApiService;

    @RequestMapping("/list-refund")
    public RestResponse listRefund(RefundQO refundQO) {
        refundQO.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        ServiceResponse<Page<RefundDTO>> serviceResponse = billingRefundApiService.listRefund(refundQO);
        return ResultControllerUtils.commonResult(serviceResponse);
    }

}
