package com.gic.enterprise.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.service.CustomThemeApiService;
import com.gic.enterprise.utils.UserDetailUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class CustomThemeController {
    @Autowired
    private CustomThemeApiService customThemeApiService;

    @RequestMapping("save-theme")
    public RestResponse saveTheme(String appid, Integer theme, Integer type){
        ServiceResponse<Integer> response = this.customThemeApiService.saveTheme(UserDetailUtils.getUserDetail().getEnterpriseId(), appid, theme, type);
        return RestResponse.success(response.getResult());
    }

    @RequestMapping("get-theme")
    public RestResponse getTheme(String appid){
        ServiceResponse<Integer> theme = this.customThemeApiService.getTheme(UserDetailUtils.getUserDetail().getEnterpriseId(), appid);
        return RestResponse.success(theme.getResult());
    }
}
