package com.gic.enterprise.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.DictDTO;
import com.gic.enterprise.dto.TodoItemDTO;
import com.gic.enterprise.qo.TodoItemQO;
import com.gic.enterprise.service.DictApiService;
import com.gic.enterprise.service.TodoItemApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 20:06
 */
@RestController
public class TodoItemController {

    @Autowired
    private TodoItemApiService todoItemApiService;
    @Autowired
    private DictApiService dictApiService;

    @RequestMapping("/list-todo-item")
    public RestResponse listTodoItem(TodoItemQO todoItemQO) {
        todoItemQO.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        todoItemQO.setUserId(UserDetailUtils.getUserDetail().getUserId());
        ServiceResponse<Page<TodoItemDTO>> serviceResponse = todoItemApiService.listTodoItem(todoItemQO);
        Page<TodoItemDTO> page = serviceResponse.getResult();
        ServiceResponse<Integer> unFinishCount = todoItemApiService.getUnFinishCount(todoItemQO);
        Map<String, Object> map = new HashMap<>();
        map.put("page", page);
        map.put("unFinishCount", unFinishCount.getResult());
        return RestResponse.success(map);
    }

    @RequestMapping("/list-todo-item-type")
    public RestResponse listTodoItemType() {
        ServiceResponse<List<DictDTO>> serviceResponse = dictApiService.listTodoItemType();
        return ResultControllerUtils.commonResult(serviceResponse);
    }

}
