package com.gic.enterprise.web.qo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/15 16:58
 */
public class BillingRechargeQO implements Serializable {
    private static final long serialVersionUID = 1L;

    public interface SelectPayValid {}
    public interface ConfirmPayValid {}

    @NotNull(message = "请选择支付方式", groups = {SelectPayValid.class, ConfirmPayValid.class})
    private Integer payType;
    private Integer enterpriseId;
    private String serialNumber;
    @NotNull(message = "请输入金额", groups = {SelectPayValid.class, ConfirmPayValid.class})
    private Double totalFee;
    private Double totalFeePaid;
    private Integer initiator;
    private Integer initiatorUser;
    private Integer operator;
    @NotBlank(message = "请输入验证码", groups = {ConfirmPayValid.class})
    private String verificationCode;
    private Integer payInfoId;
    private String codeUrl;
    private Integer resultCode;
    private String errCode;
    private String errorCodeDes;


    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Integer getInitiator() {
        return initiator;
    }

    public void setInitiator(Integer initiator) {
        this.initiator = initiator;
    }

    public Integer getInitiatorUser() {
        return initiatorUser;
    }

    public void setInitiatorUser(Integer initiatorUser) {
        this.initiatorUser = initiatorUser;
    }

    public Integer getOperator() {
        return operator;
    }

    public void setOperator(Integer operator) {
        this.operator = operator;
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    public void setPayInfoId(Integer payInfoId) {
        this.payInfoId = payInfoId;
    }

    public Integer getPayInfoId() {
        return payInfoId;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public String getCodeUrl() {
        return codeUrl;
    }

    public void setCodeUrl(String codeUrl) {
        this.codeUrl = codeUrl;
    }

    public Integer getResultCode() {
        return resultCode;
    }

    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    public String getErrorCodeDes() {
        return errorCodeDes;
    }

    public void setErrorCodeDes(String errorCodeDes) {
        this.errorCodeDes = errorCodeDes;
    }
}
