package com.gic.enterprise.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.enterprise.jsonSeralizer.EncryptJsonSerializer;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 17:16
 */
public class SmsRecordVO implements Serializable {
    private static final long serialVersionUID = 6970965774503905837L;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long smsRecordId;

    /**
     *
     */
    private Integer status;

    /**
     * 发送时间
     */
    private Date sendTime;

    /**
     * 接收号码
     */
    @JsonSerialize(using = EncryptJsonSerializer.class)
    private String receivePhone;

    /**
     * 支付方式
     */
    private Integer payType=0;

    /**
     * 应用
     */
    private String appCode;

    /**
     * 应用name
     */
    private String appName;

    /**
     * 短信类型
     */
    private Integer smsType;

    /**
     * 计费条数
     */
    private Integer billNumber;

    /**
     * 费用
     */
    private Double fee;

    /**
     * 短信内容
     */
    private String smsContent;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 套餐包id
     */
    private Integer enterpriseSmsPackageId;

    /**
     * 扣费类型 1：短信套餐包， 2：余额
     */
    private Integer deductType;

    /**
     * 缓存更新成功标志 1:成功
     */
    private Integer cacheStatus;

    /**
     * 数据库更新成功标志 1:成功
     */
    private Integer databaseStatus;

    public Long getSmsRecordId() {
        return smsRecordId;
    }

    public void setSmsRecordId(Long smsRecordId) {
        this.smsRecordId = smsRecordId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getSmsType() {
        return smsType;
    }

    public void setSmsType(Integer smsType) {
        this.smsType = smsType;
    }

    public Integer getBillNumber() {
        return billNumber;
    }

    public void setBillNumber(Integer billNumber) {
        this.billNumber = billNumber;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public String getSmsContent() {
        return smsContent;
    }

    public void setSmsContent(String smsContent) {
        this.smsContent = smsContent;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEnterpriseSmsPackageId() {
        return enterpriseSmsPackageId;
    }

    public void setEnterpriseSmsPackageId(Integer enterpriseSmsPackageId) {
        this.enterpriseSmsPackageId = enterpriseSmsPackageId;
    }

    public Integer getDeductType() {
        return deductType;
    }

    public void setDeductType(Integer deductType) {
        this.deductType = deductType;
    }

    public Integer getCacheStatus() {
        return cacheStatus;
    }

    public void setCacheStatus(Integer cacheStatus) {
        this.cacheStatus = cacheStatus;
    }

    public Integer getDatabaseStatus() {
        return databaseStatus;
    }

    public void setDatabaseStatus(Integer databaseStatus) {
        this.databaseStatus = databaseStatus;
    }
}
