package com.gic.operation.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.DictDTO;
import com.gic.enterprise.service.DictApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class DictController {

    @Autowired
    private DictApiService dictApiService;

    @RequestMapping("/list-all-businesscategory")
    public RestResponse listAllBusinessCategory() {
        ServiceResponse<List<DictDTO>> serviceResponse = dictApiService.listBusinessCategory();
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(serviceResponse.getResult());
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("/list-module-template-code")
    public RestResponse listModuleTemplateCode() {
        ServiceResponse<List<DictDTO>> serviceResponse = dictApiService.listModuleTemplateCode();
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(serviceResponse.getResult());
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

}
