package com.gic.operation.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.HelpCenterDTO;
import com.gic.enterprise.response.EnterpriseRestResponse;
import com.gic.enterprise.service.HelpCenterApiService;
import com.gic.operation.web.qo.PageQO;
import com.gic.operation.web.vo.HelpCenterVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class HelpCenterController {
    @Autowired
    private HelpCenterApiService helpCenterApiService;

    @RequestMapping("page-help-center")
    public RestResponse pageHelpCenter(String search, Integer mode, PageQO pageQO){
        ServiceResponse<Page<HelpCenterDTO>> response = this.helpCenterApiService.pageHelpCenter
                (search, mode, pageQO.getCurrentPage(), pageQO.getPageSize());
        return RestResponse.success(response.getResult());
    }

    @RequestMapping("save-help-center")
    public RestResponse saveHelpCenter(HelpCenterVO vo){
        ServiceResponse<Integer> response = this.helpCenterApiService.saveHelpCenter(EntityUtil.changeEntityByJSON(HelpCenterDTO.class, vo));
        if(response.isSuccess()){
            return RestResponse.success();
        }
        return EnterpriseRestResponse.failure(response);
    }

    @RequestMapping("help-center-detail")
    public RestResponse helpCenterDetail(Integer helpId){
        ServiceResponse<HelpCenterDTO> response = this.helpCenterApiService.getHelpCenterById(helpId);
        return RestResponse.success(response.getResult());
    }

    @RequestMapping("delete-help-center")
    public RestResponse deleteHelpCenter(Integer helpId){
        ServiceResponse<Integer> response = this.helpCenterApiService.delHelpCenter(helpId);
        return RestResponse.success(response);
    }
}
