package com.gic.operation.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.ProjectDTO;
import com.gic.enterprise.qo.ProjectQO;
import com.gic.enterprise.service.ProjectApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 17:18
 */
@RestController
public class ProjectController {

    @Autowired
    private ProjectApiService projectApiService;

    @RequestMapping("/save-project")
    public RestResponse saveOrUpdateProject(ProjectQO projectQO) {
        ProjectDTO projectDTO = EntityUtil.changeEntityByJSON(ProjectDTO.class, projectQO);
        ServiceResponse<Integer> serviceResponse = projectApiService.saveOrUpdateProject(projectDTO);
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/del-project")
    public RestResponse delProject(ProjectQO projectQO) {
        ServiceResponse<Integer> serviceResponse = projectApiService.delProject(projectQO.getProjectId());
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/list-project")
    public RestResponse listProject(ProjectQO projectQO) {
        ProjectDTO projectDTO = EntityUtil.changeEntityByJSON(ProjectDTO.class, projectQO);
        ServiceResponse<Page<ProjectDTO>> serviceResponse = projectApiService.listProject(projectDTO, projectQO.getCurrentPage(), projectQO.getPageSize());
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/set-project-seq")
    public RestResponse setProjectSeq(Integer projectId, Integer seq) {
        ServiceResponse<Void> serviceResponse = projectApiService.setProjectSort(projectId, seq);
        return ResultControllerUtils.commonResult(serviceResponse);
    }
}
