package com.gic.operation.web.controller;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.store.dto.CityDTO;
import com.gic.store.dto.CountyDTO;
import com.gic.store.dto.ProvinceDTO;
import com.gic.store.service.ProvincesApiService;

@RestController
@RequestMapping("/province")
public class ProvinceController {
    @Autowired
    private ProvincesApiService provincesApiService;

    @RequestMapping("query-district")
    @ResponseBody
    public RestResponse queryDistrictByIds(String ids) {
        if (StringUtils.isBlank(ids)) {
            return RestResponse.success();
        }
        List<String> result = new ArrayList<>();
        ServiceResponse<List<ProvinceDTO>> serviceResponse = this.provincesApiService.selectAllProvince();
        ServiceResponse<List<CityDTO>> serviceResponse1 = this.provincesApiService.selectAllCity();
        ServiceResponse<List<CountyDTO>> serviceResponse2 = this.provincesApiService.selectAllCounty();
        String[] idArr = ids.split(",");
        for (String id : idArr) {
            if (serviceResponse.isSuccess()) {
                List<ProvinceDTO> provinceDTOList = serviceResponse.getResult();
                for (ProvinceDTO provinceDTO : provinceDTOList) {
                    if (id.equals(provinceDTO.getProvinceId())) {
                        result.add(provinceDTO.getProvinceName());
                        continue;
                    }
                }
            }
            if (serviceResponse1.isSuccess()) {
                List<CityDTO> cityDTOList = serviceResponse1.getResult();
                for (CityDTO cityDTO : cityDTOList) {
                    if (id.equals(cityDTO.getCityId())) {
                        result.add(cityDTO.getCityName());
                        continue;
                    }
                }
            }
            if (serviceResponse2.isSuccess()) {
                List<CountyDTO> countyDTOList = serviceResponse2.getResult();
                for (CountyDTO countyDTO : countyDTOList) {
                    if (id.equals(countyDTO.getCountyId())) {
                        result.add(countyDTO.getCountyName());
                        continue;
                    }
                }
            }
        }
        return RestResponse.success(result);
    }
}
