package com.gic.operation.web.utils;

import com.gic.authcenter.security.core.constant.DataResourceEnum;
import com.gic.authcenter.security.core.dto.AuthcenterUserDetails;
import com.gic.authcenter.security.core.dto.EnterpriseTempDTO;
import com.gic.authcenter.security.core.dto.UserDetailsVO;
import com.gic.authcenter.security.core.util.UserUtils;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 运维登录用户的商户权限
 * @ClassName: OperationUserEnterpriseUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/14 3:46 PM 
 */
public class OperationUserEnterpriseUtils {

    /**
     * 运维登录用户的商户权限
     * @return
     */
    public static List<Integer> getAuthEnterpriseIdList() {
        //过滤运维用户的权限商户
        UserDetailsVO user = UserUtils.getUser();
        //是否拥有全部商户
        boolean permissionAll = user.getAuthorities().stream().anyMatch(
                sga -> Objects.equals(sga.getAuthority(),
                        AuthcenterUserDetails.DATA_PREFIX + DataResourceEnum.all_enterprise.name()
                )
        );
        List<Integer> enterpriseIdList = null;
        if (!permissionAll) {
            //运维拥有的权限商户ID集合
            enterpriseIdList = new ArrayList<>();
            List<EnterpriseTempDTO> enterpriseTemp = user.getEnterpriseList();
            if (CollectionUtils.isNotEmpty(enterpriseTemp)) {
                for (EnterpriseTempDTO enterpriseTempDTO : enterpriseTemp) {
                    enterpriseIdList.add(Integer.parseInt(enterpriseTempDTO.getEnterpriseId()));
                }
            }
        }
        return enterpriseIdList;
    }
}
