package com.gic.operation.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gic.open.api.dto.ApplicationExpanDTO;
import com.gic.open.api.dto.ApplicationLicenseDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 服务列表
 * @ClassName: ApplicationTokenVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/21 5:25 PM 
 */
public class ApplicationTokenVO implements Serializable{
    private static final long serialVersionUID = 5484064903624006649L;

    /**
     * 主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long tokenId;

    /**
     * 商户主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long isvId;

    /**
     * 应用主键id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long applicationId;

    /**
     * 服务主键id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long serveId;

    /**
     * 客户主键ID
     */
    private Long enterpriseId;

    /**
     * 客户名称(冗余不更新)
     */
    private String enterpriseName;

    /**
     * 版本code
     */
    private String versionCode;

    /**
     * 版本名称(冗余不更新)
     */
    private String versionName;

    /**
     * 授权状态: 0未授权 1已授权 2 取消授权
     */
    private Integer authStatus;

    /**
     * accesstoken
     */
    private String accessToken;

    /**
     * 第一次购买时间
     */
    private Date purchaseTime;

    /**
     * 最近一次购买时间
     */
    private Date lastPurchaseTime;

    /**
     * 第一次授权时间
     */
    private Date authTime;

    /**
     * 最近一次授权时间
     */
    private Date lastAuthTime;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 0未删除 1已删除
     */
    private Integer deleteFlag;

    /**
     * 应用分类id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long appCategoryId;

    /**
     * 应用分类名称
     */
    private String appCategoryName;

    /**
     * 应用图标链接
     */
    private String iconUrl;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 服务状态(0:未上架; 1: 已上架)
     */
    private Integer serveStatus;

    private Integer appType;

    /** 跳转链接 **/
    private String redirectUrl;
    /** 已购买license **/
    List<ApplicationLicenseDTO> licenseList;
    /** 已购买拓展包 **/
    List<ApplicationExpanDTO> expanList;
    /** 拓展包数量 **/
    private Integer expanNum;
    /** 公司名称 **/
    private String companyName;
    /** 服务封面 **/
    private String imageUrl;
    /** 剩余天数 (过期为0) **/
    private Integer residueDays;

    public Long getTokenId() {
        return tokenId;
    }

    public void setTokenId(Long tokenId) {
        this.tokenId = tokenId;
    }

    public Long getIsvId() {
        return isvId;
    }

    public void setIsvId(Long isvId) {
        this.isvId = isvId;
    }

    public Long getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
    }

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Date getPurchaseTime() {
        return purchaseTime;
    }

    public void setPurchaseTime(Date purchaseTime) {
        this.purchaseTime = purchaseTime;
    }

    public Date getLastPurchaseTime() {
        return lastPurchaseTime;
    }

    public void setLastPurchaseTime(Date lastPurchaseTime) {
        this.lastPurchaseTime = lastPurchaseTime;
    }

    public Date getAuthTime() {
        return authTime;
    }

    public void setAuthTime(Date authTime) {
        this.authTime = authTime;
    }

    public Date getLastAuthTime() {
        return lastAuthTime;
    }

    public void setLastAuthTime(Date lastAuthTime) {
        this.lastAuthTime = lastAuthTime;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Long getAppCategoryId() {
        return appCategoryId;
    }

    public void setAppCategoryId(Long appCategoryId) {
        this.appCategoryId = appCategoryId;
    }

    public String getAppCategoryName() {
        return appCategoryName;
    }

    public void setAppCategoryName(String appCategoryName) {
        this.appCategoryName = appCategoryName;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getServeStatus() {
        return serveStatus;
    }

    public void setServeStatus(Integer serveStatus) {
        this.serveStatus = serveStatus;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public String getRedirectUrl() {
        return redirectUrl;
    }

    public void setRedirectUrl(String redirectUrl) {
        this.redirectUrl = redirectUrl;
    }

    public List<ApplicationLicenseDTO> getLicenseList() {
        return licenseList;
    }

    public void setLicenseList(List<ApplicationLicenseDTO> licenseList) {
        this.licenseList = licenseList;
    }

    public List<ApplicationExpanDTO> getExpanList() {
        return expanList;
    }

    public void setExpanList(List<ApplicationExpanDTO> expanList) {
        this.expanList = expanList;
    }

    public Integer getExpanNum() {
        return expanNum;
    }

    public void setExpanNum(Integer expanNum) {
        this.expanNum = expanNum;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Integer getResidueDays() {
        return residueDays;
    }

    public void setResidueDays(Integer residueDays) {
        this.residueDays = residueDays;
    }
}
