package com.gic.operation.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 优惠券
 * @ClassName: CouponLogVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/6 4:46 PM 
 */
public class CouponLogVO implements Serializable{
    private static final long serialVersionUID = -1297627814581081127L;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long couponLogId;

    /**
     * 服务商id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long isvId;

    /**
     * 优惠券券id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long couponId;

    /**
     * 优惠券券码
     */
    private String couponCode;

    /**
     * 商户id
     */
    private Long enterpriseId;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 订单id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long orderId;

    /**
     * 优惠金额门槛
     */
    private BigDecimal conditions;

    /**
     * 优惠金额
     */
    private BigDecimal discountAmount;

    /**
     * 优惠券实际使用金额
     */
    private BigDecimal usedAmount;

    /**
     * 领取时间
     */
    private Date receiveTime;

    /**
     * 使用时间
     */
    private Date usedTime;

    /**
     * 有效开始时间
     */
    private Date beginDate;

    /**
     * 有效结束时间
     */
    private Date endDate;

    /**
     * 状态（1：未领取，2：已领取，3：已使用）
     */
    private Integer status;

    /**
     * 0gic 1好办
     */
    private Integer appType;

    private Date createTime;
    private Date updateTime;
    private Integer deleteFlag;

    /**
     * 优惠券名称
     */
    private String couponName;

    /**
     * 优惠券类型
     */
    private Integer couponType;


    /** 适用内容id **/
    private String serveId;
    /** 适用内容名称 **/
    private String serveName;
    /** 适用内容图片 **/
    private String serveImage;
    /** 适用内容类型(1:服务，2:套餐包，3:拓展包) **/
    private Integer serveType;
    /** 适用内容版本周期 **/
    private String serveSkuDetail;

    /** 下单时间 **/
    private Date orderTime;
    /** 订单流水号 **/
    private String orderNum;
    /** 订单状态(1:待支付，2:已支付，3:已取消 ) **/
    private Integer orderStatus;


    /**
     * 1 优惠券可用，0优惠券不可用
     */
    private Integer checkUsing;

    public Long getCouponLogId() {
        return couponLogId;
    }

    public void setCouponLogId(Long couponLogId) {
        this.couponLogId = couponLogId;
    }

    public Long getIsvId() {
        return isvId;
    }

    public void setIsvId(Long isvId) {
        this.isvId = isvId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    public String getCouponCode() {
        return couponCode;
    }

    public void setCouponCode(String couponCode) {
        this.couponCode = couponCode;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getConditions() {
        return conditions;
    }

    public void setConditions(BigDecimal conditions) {
        this.conditions = conditions;
    }

    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }

    public BigDecimal getUsedAmount() {
        return usedAmount;
    }

    public void setUsedAmount(BigDecimal usedAmount) {
        this.usedAmount = usedAmount;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }

    public Date getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Date usedTime) {
        this.usedTime = usedTime;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getCouponName() {
        return couponName;
    }

    public void setCouponName(String couponName) {
        this.couponName = couponName;
    }

    public Integer getCouponType() {
        return couponType;
    }

    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }

    public String getServeId() {
        return serveId;
    }

    public void setServeId(String serveId) {
        this.serveId = serveId;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public String getServeImage() {
        return serveImage;
    }

    public void setServeImage(String serveImage) {
        this.serveImage = serveImage;
    }

    public Integer getServeType() {
        return serveType;
    }

    public void setServeType(Integer serveType) {
        this.serveType = serveType;
    }

    public String getServeSkuDetail() {
        return serveSkuDetail;
    }

    public void setServeSkuDetail(String serveSkuDetail) {
        this.serveSkuDetail = serveSkuDetail;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getCheckUsing() {
        return checkUsing;
    }

    public void setCheckUsing(Integer checkUsing) {
        this.checkUsing = checkUsing;
    }
}
