package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import org.apache.commons.lang.StringUtils;

import com.alibaba.fastjson.JSONObject;

/**
 * 转账审批-service订单项
 * @ClassName: ServiceInfoVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/11 2:50 PM 
 */
public class ServiceInfoVO implements Serializable{

    private static final long serialVersionUID = -2812750277818470194L;
    /**
     * 名称
     */
    private String serveName;
    private String skuInfo;

    /**
     *
     */
    private String serveInfo;

    private String versionName;

    /**
     * 服务描述
     */
    private String servcieDesc;

    /**
     * 周期
     */
    private String serviceCycle;
    /**
     * 订单项原价
     */
    private BigDecimal totalAmount;

    /**
     * 支付详情json{100:现金 ,101:xxx}
     */
    private String payDetail;

    /**
     * 应用id
     */
    private Long applicationId;

    private List<LicenseVO> licenseVOList;

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getServcieDesc() {
        if (StringUtils.isBlank(skuInfo)) {
            if (StringUtils.isNotBlank(versionName)) {
                return versionName;
            }
            return "--";
        }
        JSONObject jsonObject = JSONObject.parseObject(skuInfo);
        JSONObject version = jsonObject.getJSONObject("version");
        return serveName + "-" +  version.get("name");
    }

    public String getServiceCycle() {
        if (StringUtils.isBlank(skuInfo)) {
            return "--";
        }
        JSONObject jsonObject = JSONObject.parseObject(skuInfo);
        JSONObject period = jsonObject.getJSONObject("period");
        Integer unitNum = (Integer) period.get("effect_time_unit");
        String unit = "";
        if (unitNum != null) {
            unit = unitNum.toString();
        }
        if ("3".equals(unit)) {
            unit = "年";
        } else if("2".equals(unit)) {
            unit = "月";
        } else {
            unit =  "天";
        }
        return period.get("effect_time") + unit;
    }

    public String getServeInfo() {
        return serveInfo;
    }

    public void setServeInfo(String serveInfo) {
        this.serveInfo = serveInfo;
    }

    public Long getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
    }

    public List<LicenseVO> getLicenseVOList() {
        return licenseVOList;
    }

    public void setLicenseVOList(List<LicenseVO> licenseVOList) {
        this.licenseVOList = licenseVOList;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }
}
