package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.gic.finance.constant.EnterprisePlatformTypeEnum;
import com.gic.finance.constant.OrderTypeEnum;
import com.gic.finance.constant.TransferAccountApprovalStatusEnum;
import com.gic.operation.web.utils.DateUtils;

/**
 * 转账审批详情VO-服务、套餐包、拓展包
 * @ClassName: TransferApprovalListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:38 PM 
 */
public class TransferApprovalServiceVO implements Serializable{

    private static final long serialVersionUID = 6969977866851603824L;
    private Integer transferApprovalId;

    /**
     * 关联订单平台方（商户类型）1:GIC 2: 好办
     */
    private Integer platformType;
    /**
     * 商户类型名称
     */
    private String platformTypeStr;

    /**
     * 计划金额
     */
    private Double plannedAmount;

    /**
     * 坏账金额
     */
    private Double badAmount;

    /**
     * 验证码
     */
    private String verifyCode;

    /**
     * 审批流水号
     */
    private String approvalNumber;

    /**
     * 审批状态 1:待审批 2:已取消 3:已驳回 4:审批通过
     */
    private Integer approvalStatus;
    /**
     * 审批状态 名称
     */
    private String approvalStatusStr;

    /**
     * 审批人姓名
     */
    private String approvalName;

    /**
     * 审批人手机号码
     */
    private String approvalPhone;

    /**
     * 审批人手机号国际区号
     */
    private String approvalPhoneAreaCode;

    /**
     * 审批时间
     */
    private Date approvalTime;

    /**
     * 支付流水号
     */
    private String payInfoSerialNumber;
    /**
     *
     */
    private Date createTime;
    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 到账金额
     */
    private Double accountAmount;
    /**
     * 总计费用
     */
    private Double totalCountFee;

    /**
     * 支付详情json{100:现金 ,101:xxx}
     */
    private String payDetail;
    /**
     * 订单创建时间
     */
    private Date orderCreateTime;

    /**
     * 订单流水号
     */
    private String orderNumber;

    /**
     * 1:套餐包 2:拓展包 3:服务 4:短信套餐包 5:充值
     */
    private Integer orderType;

    private String orderTypeStr;

    /**
     * 1购买 2续费 3升级 4扩容
     */
    private Integer relationOrderType;
    /**
     * 订购类型
     */
    private String relationOrderTypeStr;
    /**
     * 支付方式
     */
    private Integer payType;
    /**
     * 支付方式
     */
    private String payTypeStr;

    /**
     * 实付金额
     */
    private BigDecimal payAmount;
    /**
     * 订单状态(1:待支付，2:已支付，3:已取消 )
     */
    private Integer status;
    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 操作人类型(1:商户,2:运维)
     */
    private Integer operType;
    private String operTypeStr;
    private String operName;
    /**
     * 优惠方式
     */
    private ServiceDiscountVO serviceDiscountVO;
    /**
     * 服务信息
     */
    private List<ServiceInfoVO> serviceInfoVOList;
    /**
     * license信息
     */
    private List<LicenseVO> licenseVOList;
    /**
     * 拓展包
     */
    private List<ExpandPackageVO> expandPackageVOList;

    /**
     * 订单主键
     * @Title:  
     * @Description:
      * @author guojuxing
     * @param null 
     * @return   
      */
    private String orderId;


    public Integer getTransferApprovalId() {
        return transferApprovalId;
    }

    public void setTransferApprovalId(Integer transferApprovalId) {
        this.transferApprovalId = transferApprovalId;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public String getPlatformTypeStr() {
        return EnterprisePlatformTypeEnum.getMessageByCode(platformType);
    }

    public Double getPlannedAmount() {
        return plannedAmount;
    }

    public void setPlannedAmount(Double plannedAmount) {
        this.plannedAmount = plannedAmount;
    }

    public Double getBadAmount() {
        return badAmount;
    }

    public void setBadAmount(Double badAmount) {
        this.badAmount = badAmount;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public String getApprovalStatusStr() {
        return TransferAccountApprovalStatusEnum.getMessageBuCode(approvalStatus);
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public Long getApprovalTime() {
        return DateUtils.dateToLong(approvalTime);
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    public String getApprovalPhone() {
        return approvalPhone;
    }

    public void setApprovalPhone(String approvalPhone) {
        this.approvalPhone = approvalPhone;
    }

    public String getApprovalPhoneAreaCode() {
        return approvalPhoneAreaCode;
    }

    public void setApprovalPhoneAreaCode(String approvalPhoneAreaCode) {
        this.approvalPhoneAreaCode = approvalPhoneAreaCode;
    }

    public String getPayInfoSerialNumber() {
        return payInfoSerialNumber;
    }

    public void setPayInfoSerialNumber(String payInfoSerialNumber) {
        this.payInfoSerialNumber = payInfoSerialNumber;
    }

    public Long getCreateTime() {
        return DateUtils.dateToLong(createTime);
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Double getAccountAmount() {
        return accountAmount;
    }

    public void setAccountAmount(Double accountAmount) {
        this.accountAmount = accountAmount;
    }

    public Double getTotalCountFee() {
        return totalCountFee;
    }

    public void setTotalCountFee(Double totalCountFee) {
        this.totalCountFee = totalCountFee;
    }

    public Long getOrderCreateTime() {
        return DateUtils.dateToLong(orderCreateTime);
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getOrderTypeStr() {
        return OrderTypeEnum.getMessageBuCode(orderType);
    }

    public Integer getRelationOrderType() {
        return relationOrderType;
    }

    public void setRelationOrderType(Integer relationOrderType) {
        this.relationOrderType = relationOrderType;
    }

    public String getRelationOrderTypeStr() {
        //1购买 2续费 3升级 4扩容
        if (relationOrderType == null) {
            return "--";
        }
        if (relationOrderType.intValue() == 1) {
            return "服务开通";
        } else if (relationOrderType.intValue() == 2) {
            return "服务续费";
        } else if (relationOrderType.intValue() == 3) {
            return "版本升级";
        } else if (relationOrderType.intValue() == 4) {
            return "license扩容";
        }
        return "未知";
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getPayTypeStr() {
        if (payType == null) {
            return "--";
        }
        switch (payType.intValue()) {
            case 1:
                return "余额";
            case 2:
                return "微信";
            case 3:
                return "支付宝";
            case 4:
                return "银行对公转账";
            default:
                return "未知";
        }
    }

    public void setPayTypeStr(String payTypeStr) {
        this.payTypeStr = payTypeStr;
    }

    public ServiceDiscountVO getServiceDiscountVO() {
        return serviceDiscountVO;
    }

    public void setServiceDiscountVO(ServiceDiscountVO serviceDiscountVO) {
        this.serviceDiscountVO = serviceDiscountVO;
    }

    public List<ServiceInfoVO> getServiceInfoVOList() {
        return serviceInfoVOList;
    }

    public void setServiceInfoVOList(List<ServiceInfoVO> serviceInfoVOList) {
        this.serviceInfoVOList = serviceInfoVOList;
    }


    public void setLicenseVOList(List<LicenseVO> licenseVOList) {
        this.licenseVOList = licenseVOList;
    }

    public List<ExpandPackageVO> getExpandPackageVOList() {
        return expandPackageVOList;
    }

    public void setExpandPackageVOList(List<ExpandPackageVO> expandPackageVOList) {
        this.expandPackageVOList = expandPackageVOList;
    }


    public void setOperType(Integer operType) {
        this.operType = operType;
    }

    public String getOperTypeStr() {
        if (operType == null) {
            return "--";
        }
        if (operType == 1) {
            return "商户";
        }
        if (operType == 2) {
            return "运维";
        }
        return "--";
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getApprovalStatus() {
        return approvalStatus;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }
}
